diff -u -r -N squid-3.1.0.17/ChangeLog squid-3.1.0.18/ChangeLog
--- squid-3.1.0.17/ChangeLog	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/ChangeLog	2010-03-14 20:06:08.000000000 +1300
@@ -1,3 +1,14 @@
+Changes to squid-3.1.0.18 (14 Mar 2010):
+
+	- Regression Fix: IPv4-mapped prefix, broken in 3.1.0.16
+	- Bug 2869: Remove unused external reference
+	- Bug 2866: Support OpenSSL 1.0
+	- Bug 2813: Random unix_group crash at startup
+	- Send HTTP1.1 compliant 417 responses
+	- Associate external acl message with the request
+	- Various Digest parser fixes
+	- ... and all bug fixes from 3.0 up to 3.0.STABLE25
+
 Changes to squid-3.1.0.17 (24 Feb 2010):
 
 	- Regression Fix: Non-English error page UTF encoding
@@ -289,6 +300,14 @@
 	- Bug #2223: Follow XFF extensions added
 	- ... and many code and documentation cleanups
 
+Changes to squid-3.0.STABLE25 (14 Mar 2010):
+
+	- Bug 2845: Rework the http digest auth parser
+	- Bug 2787: unknown/unexpected status code messages
+	- Bug 2507: squid_ldap_group: Strip Domain name separated by +
+	- Bug 2367: stale=true on digest requests with unknown nonce
+	- ... and several other minor corrections
+
 Changes to squid-3.0.STABLE24 (13 Feb 2010):
 
 	- Bug 2858: Segment violation in HTCP
diff -u -r -N squid-3.1.0.17/configure squid-3.1.0.18/configure
--- squid-3.1.0.17/configure	2010-02-25 01:01:41.000000000 +1300
+++ squid-3.1.0.18/configure	2010-03-14 20:06:46.000000000 +1300
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.17.
+# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.18.
 #
 # Report bugs to <http://www.squid-cache.org/bugs/>.
 #
@@ -751,8 +751,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.1.0.17'
-PACKAGE_STRING='Squid Web Proxy 3.1.0.17'
+PACKAGE_VERSION='3.1.0.18'
+PACKAGE_STRING='Squid Web Proxy 3.1.0.18'
 PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
 
 ac_unique_file="src/main.cc"
@@ -1692,7 +1692,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.1.0.17 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.1.0.18 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1762,7 +1762,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.17:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.18:";;
    esac
   cat <<\_ACEOF
 
@@ -2094,7 +2094,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.1.0.17
+Squid Web Proxy configure 3.1.0.18
 generated by GNU Autoconf 2.62
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -2108,7 +2108,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.1.0.17, which was
+It was created by Squid Web Proxy $as_me 3.1.0.18, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   $ $0 $@
@@ -2826,7 +2826,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.1.0.17'
+ VERSION='3.1.0.18'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -51116,7 +51116,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.1.0.17, which was
+This file was extended by Squid Web Proxy $as_me 3.1.0.18, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -51169,7 +51169,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_version="\\
-Squid Web Proxy config.status 3.1.0.17
+Squid Web Proxy config.status 3.1.0.18
 configured by $0, generated by GNU Autoconf 2.62,
   with options \\"`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
diff -u -r -N squid-3.1.0.17/configure.in squid-3.1.0.18/configure.in
--- squid-3.1.0.17/configure.in	2010-02-25 01:01:41.000000000 +1300
+++ squid-3.1.0.18/configure.in	2010-03-14 20:06:46.000000000 +1300
@@ -2,7 +2,7 @@
 dnl
 dnl  $Id$
 dnl
-AC_INIT([Squid Web Proxy],[3.1.0.17],[http://www.squid-cache.org/bugs/],[squid])
+AC_INIT([Squid Web Proxy],[3.1.0.18],[http://www.squid-cache.org/bugs/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
diff -u -r -N squid-3.1.0.17/errors/af/ERR_INVALID_REQ squid-3.1.0.18/errors/af/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/af/ERR_INVALID_REQ	2010-02-25 01:03:00.000000000 +1300
+++ squid-3.1.0.18/errors/af/ERR_INVALID_REQ	2010-03-14 20:08:14.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/aliases squid-3.1.0.18/errors/aliases
--- squid-3.1.0.17/errors/aliases	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/errors/aliases	2010-03-14 20:06:08.000000000 +1300
@@ -27,7 +27,7 @@
 ro	ro-ro ro-md
 ru	ru-ru
 sk	sk-sk
-sr	sr-sp
+sr-latn	sr sr-sp sr-latn-cs
 sv	sv-fi sv-se
 th	th-th
 tr	tr-tr
diff -u -r -N squid-3.1.0.17/errors/ar/ERR_INVALID_REQ squid-3.1.0.18/errors/ar/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ar/ERR_INVALID_REQ	2010-02-25 01:03:15.000000000 +1300
+++ squid-3.1.0.18/errors/ar/ERR_INVALID_REQ	2010-03-14 20:08:29.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطأ: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/az/ERR_INVALID_REQ squid-3.1.0.18/errors/az/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/az/ERR_INVALID_REQ	2010-02-25 01:03:30.000000000 +1300
+++ squid-3.1.0.18/errors/az/ERR_INVALID_REQ	2010-03-14 20:08:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mümkün probleml�^�rd�^�n b�^�zil�^�ri:</p> <ul> <li><p>(GET, POST) sorğusunun metodu məlum deyil və ya umumiyyətlə yoxdur.</p></li> <li><p>URL yoxdur.</p></li> <li><p>HTTP identifikator yoxdur (HTTP/1.0).</p></li> <li><p>Sorğu həddən ziyadə böyükdür.</p></li> <li><p>POST və PUT sorğuları üçün Content-Length göstərilməmişdir</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mümkün probleml�^�rd�^�n b�^�zil�^�ri:</p> <ul> <li><p>(GET, POST) sorğusunun metodu məlum deyil və ya umumiyyətlə yoxdur.</p></li> <li><p>URL yoxdur.</p></li> <li><p>HTTP identifikator yoxdur (HTTP/1.0).</p></li> <li><p>Sorğu həddən ziyadə böyükdür.</p></li> <li><p>POST və PUT sorğuları üçün Content-Length göstərilməmişdir</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/bg/ERR_INVALID_REQ squid-3.1.0.18/errors/bg/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/bg/ERR_INVALID_REQ	2010-02-25 01:03:45.000000000 +1300
+++ squid-3.1.0.18/errors/bg/ERR_INVALID_REQ	2010-03-14 20:09:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ГРЕШКА: Заявеният адрес е недостъпен.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При опит за обработка на заявката възникна следната грешка - <b>Невалидна заявка</b>:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Възможни грешки:</p> <ul> <li><p>Липсващ или непознат метод за достъп.</p></li> <li><p>Липсващ адрес.</p></li> <li><p>Липсващ HTTP идентификатор (HTTP/1.0).</p></li> <li><p>Заявката е прекалено голяма.</p></li> <li><p>Липсващо поле Content-Length за заявка от тип POST или PUT.</p></li> <li><p>Невалиден символ в името на сървъра (напр. символът за подчертаване е недопустим)</p></li> </ul>  <p>Вашият кеш администратор е <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ГРЕШКА: Заявеният адрес е недостъпен.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При опит за обработка на заявката възникна следната грешка - <b>Невалидна заявка</b>:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Възможни грешки:</p> <ul> <li><p>Липсващ или непознат метод за достъп.</p></li> <li><p>Липсващ адрес.</p></li> <li><p>Липсващ HTTP идентификатор (HTTP/1.0).</p></li> <li><p>Заявката е прекалено голяма.</p></li> <li><p>Липсващо поле Content-Length за заявка от тип POST или PUT.</p></li> <li><p>Невалиден символ в името на сървъра (напр. символът за подчертаване е недопустим)</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Вашият кеш администратор е <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/ca/ERR_INVALID_REQ squid-3.1.0.18/errors/ca/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ca/ERR_INVALID_REQ	2010-02-25 01:04:00.000000000 +1300
+++ squid-3.1.0.18/errors/ca/ERR_INVALID_REQ	2010-03-14 20:09:15.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: No es pot mostrar la URL que heu sol.licitat</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>No es pot mostrar la URL que heu sol.licitat</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>M&egrave;tode de petici&oacute; desconegut o absent.</p></li> <li><p>no hi ha URL.</p></li> <li><p>Falta l'identificador HTTP (HTTP/1.0).</p></li> <li><p>La petici&ocute; &eacute;s massa llarga.</p></li> <li><p>Falta el camp <q>Content-Length</q>.</p></li> <li><p>Car&agrave;cter no perm&egrave;s en el nom del servidor.</p></li> </ul>  <p>L'administrador d'aquesta cache &eacute;s <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: No es pot mostrar la URL que heu sol.licitat</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>No es pot mostrar la URL que heu sol.licitat</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>M&egrave;tode de petici&oacute; desconegut o absent.</p></li> <li><p>no hi ha URL.</p></li> <li><p>Falta l'identificador HTTP (HTTP/1.0).</p></li> <li><p>La petici&ocute; &eacute;s massa llarga.</p></li> <li><p>Falta el camp <q>Content-Length</q>.</p></li> <li><p>Car&agrave;cter no perm&egrave;s en el nom del servidor.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>L'administrador d'aquesta cache &eacute;s <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/cs/ERR_INVALID_REQ squid-3.1.0.18/errors/cs/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/cs/ERR_INVALID_REQ	2010-02-25 01:04:15.000000000 +1300
+++ squid-3.1.0.18/errors/cs/ERR_INVALID_REQ	2010-03-14 20:09:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě <b>Invalid Request</b> (Neplatný požadavek) během zpracování požadavku:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Chybná nebo chybějící HTTP metoda (POST, GET)</p></li> <li><p>Chybějící URL.</p></li> <li><p>Chybějící identifikátor HTTP (HTTP/1.0).</p></li> <li><p>Požadavek může být příliš velký</p></li> <li><p>Chybí 'Content-Lenght' požadavku POST nebo PUT.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě <b>Invalid Request</b> (Neplatný požadavek) během zpracování požadavku:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Chybná nebo chybějící HTTP metoda (POST, GET)</p></li> <li><p>Chybějící URL.</p></li> <li><p>Chybějící identifikátor HTTP (HTTP/1.0).</p></li> <li><p>Požadavek může být příliš velký</p></li> <li><p>Chybí 'Content-Lenght' požadavku POST nebo PUT.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/da/ERR_INVALID_REQ squid-3.1.0.18/errors/da/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/da/ERR_INVALID_REQ	2010-02-25 01:04:30.000000000 +1300
+++ squid-3.1.0.18/errors/da/ERR_INVALID_REQ	2010-03-14 20:09:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEJL: Den angivne URL kunne ikke hentes</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mulige problemer kan v&aelig;re:</p> <ul> <li><p>Manglende eller ukendt foresp&oslash;rgsels metode.</p></li> <li><p>Manglende URL.</p></li> <li><p>Manglende HTTP Identifikator (ved HTTP/1.0)</p></li> <li><p>Foresp&oslash;rgslen er for stor.</p></li> <li><p>Content-Length mangler til POST eller PUT foresp&oslash;rgsler</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEJL: Den angivne URL kunne ikke hentes</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mulige problemer kan v&aelig;re:</p> <ul> <li><p>Manglende eller ukendt foresp&oslash;rgsels metode.</p></li> <li><p>Manglende URL.</p></li> <li><p>Manglende HTTP Identifikator (ved HTTP/1.0)</p></li> <li><p>Foresp&oslash;rgslen er for stor.</p></li> <li><p>Content-Length mangler til POST eller PUT foresp&oslash;rgsler</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/de/ERR_INVALID_REQ squid-3.1.0.18/errors/de/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/de/ERR_INVALID_REQ	2010-02-25 01:04:45.000000000 +1300
+++ squid-3.1.0.18/errors/de/ERR_INVALID_REQ	2010-03-14 20:10:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEHLER: Die angeforderte URL konnte nicht gefunden werden</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Ungültige Anfrage</b> Fehler erhalten als versucht wurde die Anfrage zu Bearbeiten:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mögliche Probleme sind:</p> <ul> <li><p>Fehlende oder unbekannte Anfragemethode.</p></li> <li><p>Fehlende URL.</p></li> <li><p>Fehlende HTTP-Version (HTTP/1.0).</p></li> <li><p>Anfrage ist zu lang.</p></li> <li><p>Content-Length fehlt für POST oder PUT Anfragen.</p></li> <li><p>Ungültiges Zeichen im Hostname; Unterstriche sind nicht erlaubt.</p></li> </ul>  <p>Ihr Cache Administrator ist <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEHLER: Die angeforderte URL konnte nicht gefunden werden</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Ungültige Anfrage</b> Fehler erhalten als versucht wurde die Anfrage zu Bearbeiten:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mögliche Probleme sind:</p> <ul> <li><p>Fehlende oder unbekannte Anfragemethode.</p></li> <li><p>Fehlende URL.</p></li> <li><p>Fehlende HTTP-Version (HTTP/1.0).</p></li> <li><p>Anfrage ist zu lang.</p></li> <li><p>Content-Length fehlt für POST oder PUT Anfragen.</p></li> <li><p>Ungültiges Zeichen im Hostname; Unterstriche sind nicht erlaubt.</p></li> <li><p>HTTP/1.1 Expect wird von einer HTTP/1.0 Software erfragt</p></li> </ul>  <p>Ihr Cache Administrator ist <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/de/ERR_SOCKET_FAILURE squid-3.1.0.18/errors/de/ERR_SOCKET_FAILURE
--- squid-3.1.0.17/errors/de/ERR_SOCKET_FAILURE	2010-02-25 01:04:38.000000000 +1300
+++ squid-3.1.0.18/errors/de/ERR_SOCKET_FAILURE	2010-03-14 20:09:55.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEHLER: Die angeforderte URL konnte nicht gefunden werden</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Der folgende Fehler wurde beim Versuch die URL <a href="%U">%U</a> zu holen festgestellt:</p>  <blockquote id="error"> <p><b>Socketfehler</b></p> </blockquote>  <p id="sysmsg">Das System antwortete: <i>%E</i></p>  <p>Squid kann keinen TCP Socket erstellen, warscheinlich aufgrund von großer Systemlast. Bitte wiederholen sie die Anfrage.</p>  <p>Ihr Cache Administrator ist <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEHLER: Die angeforderte URL konnte nicht gefunden werden</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Der folgende Fehler wurde beim Versuch die URL <a href="%U">%U</a> zu holen festgestellt:</p>  <blockquote id="error"> <p><b>Socketfehler</b></p> </blockquote>  <p id="sysmsg">Das System antwortete: <i>%E</i></p>  <p>Squid kann keinen TCP-Socket erstellen, wahrscheinlich aufgrund von großer Systemlast. Bitte wiederholen Sie die Anfrage.</p>  <p>Ihr Cache Administrator ist <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/el/ERR_INVALID_REQ squid-3.1.0.18/errors/el/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/el/ERR_INVALID_REQ	2010-02-25 01:05:00.000000000 +1300
+++ squid-3.1.0.18/errors/el/ERR_INVALID_REQ	2010-03-14 20:10:19.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ΣΦΑΛΜΑ: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Ελλιπής ή άγνωστη μέθοδος αίτησης.</p></li> <li><p>Missing URL.</p></li> <li><p>Ελλιπές αναγνωριστικό HTTP (HTTP/1.0)</p></li> <li><p>Η αίτηση είναι υπερμεγέθης.</p></li> <li><p>Έλειπες Περιεχόμενο- Μήκος για τις αιτήσεις POST ή PUT</p></li> <li><p>Άκυροι χαρακτήρες στο όνομα υπολογιστή, οι υπογεγραμμένες δεν επιτρέπονται.</p></li> </ul>  <p>Ο διαχειριστής του μεσολαβητή σας είναι ο <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ΣΦΑΛΜΑ: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Ελλιπής ή άγνωστη μέθοδος αίτησης.</p></li> <li><p>Missing URL.</p></li> <li><p>Ελλιπές αναγνωριστικό HTTP (HTTP/1.0)</p></li> <li><p>Η αίτηση είναι υπερμεγέθης.</p></li> <li><p>Έλειπες Περιεχόμενο- Μήκος για τις αιτήσεις POST ή PUT</p></li> <li><p>Άκυροι χαρακτήρες στο όνομα υπολογιστή, οι υπογεγραμμένες δεν επιτρέπονται.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Ο διαχειριστής του μεσολαβητή σας είναι ο <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/en/ERR_INVALID_REQ squid-3.1.0.18/errors/en/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/en/ERR_INVALID_REQ	2010-02-25 01:05:16.000000000 +1300
+++ squid-3.1.0.18/errors/en/ERR_INVALID_REQ	2010-03-14 20:10:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/es/ERR_INVALID_REQ squid-3.1.0.18/errors/es/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/es/ERR_INVALID_REQ	2010-02-25 01:05:32.000000000 +1300
+++ squid-3.1.0.18/errors/es/ERR_INVALID_REQ	2010-03-14 20:10:50.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: El URL solicitado no se ha podido conseguir</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>El URL solicitado no se ha podido conseguir</h2> </div> <hr>  <div id="content"> <p><b>Petición Incorrecta</b> se ha encontrado un error mientras se intentaba procesar la petición:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Algunos posibles problemas son:</p> <ul> <li><p>Falta o es desconocido el m&eacute;todo de la petici&oacute;n (no es GET ni POST)</p></li> <li><p>URL Perdido.</p></li> <li><p>Falta el identificador HTTP (HTTP/1.0)</p></li> <li><p>La petición es demasiado grande.</p></li> <li><p>Falta Content-Length en las peticiones POST o PUT</p></li> <li><p>Hay caracteres ilegales en el nombre de m&aacute;quina; el car&aacute;cter subrayado (_) no est&aacute; permitido.</p></li> </ul>  <p>Su administrador del cach&eacute; es <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: El URL solicitado no se ha podido conseguir</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>El URL solicitado no se ha podido conseguir</h2> </div> <hr>  <div id="content"> <p><b>Petición Incorrecta</b> se ha encontrado un error mientras se intentaba procesar la petición:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Algunos posibles problemas son:</p> <ul> <li><p>Falta o es desconocido el m&eacute;todo de la petici&oacute;n (no es GET ni POST)</p></li> <li><p>URL Perdido.</p></li> <li><p>Falta el identificador HTTP (HTTP/1.0)</p></li> <li><p>La petición es demasiado grande.</p></li> <li><p>Falta Content-Length en las peticiones POST o PUT</p></li> <li><p>Hay caracteres ilegales en el nombre de m&aacute;quina; el car&aacute;cter subrayado (_) no est&aacute; permitido.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Su administrador del cach&eacute; es <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/et/ERR_INVALID_REQ squid-3.1.0.18/errors/et/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/et/ERR_INVALID_REQ	2010-02-25 01:05:47.000000000 +1300
+++ squid-3.1.0.18/errors/et/ERR_INVALID_REQ	2010-03-14 20:11:06.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Puudub v&otilde;i tundmatu p&auml;ringu meetod (GET, POST)</p></li> <li><p>Puudub URL</p></li> <li><p>Puudub HTTP identifikaator (HTTP/1.0)</p></li> <li><p>P&auml;ring v&otilde;ib olla liiga suur</p></li> <li><p>POST v&otilde;i PUT p&auml;ringutel puudub Content-Length</p></li> <li><p>keelatud s&uuml;mbolid hosti nimes; alakriipsud pole lubatud</p></li> </ul>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Puudub v&otilde;i tundmatu p&auml;ringu meetod (GET, POST)</p></li> <li><p>Puudub URL</p></li> <li><p>Puudub HTTP identifikaator (HTTP/1.0)</p></li> <li><p>P&auml;ring v&otilde;ib olla liiga suur</p></li> <li><p>POST v&otilde;i PUT p&auml;ringutel puudub Content-Length</p></li> <li><p>keelatud s&uuml;mbolid hosti nimes; alakriipsud pole lubatud</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/fa/ERR_INVALID_REQ squid-3.1.0.18/errors/fa/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/fa/ERR_INVALID_REQ	2010-02-25 01:06:02.000000000 +1300
+++ squid-3.1.0.18/errors/fa/ERR_INVALID_REQ	2010-03-14 20:11:23.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطا: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>درخواست نامعتبر</b> این خطا در زمان پردازش درخواست روی داده بود:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>خطا: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>درخواست نامعتبر</b> این خطا در زمان پردازش درخواست روی داده بود:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/fi/ERR_INVALID_REQ squid-3.1.0.18/errors/fi/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/fi/ERR_INVALID_REQ	2010-02-25 01:06:17.000000000 +1300
+++ squid-3.1.0.18/errors/fi/ERR_INVALID_REQ	2010-03-14 20:11:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mahdollisia ongelmia:</p> <ul> <li><p>Puuttuva tai tuntematon hakupyynnön tyyppi</p></li> <li><p>Puuttuva URL</p></li> <li><p>Puuttuva HTTP-tunniste (HTTP/1.0).</p></li> <li><p>Hakupyyntö on liian suuri</p></li> <li><p><q>Content-Length</q> puuttuu POST- tai PUT-hakupyynnostä</p></li> <li><p>Virheellinen merkki palvelinnimessä; alaviivat eivät ole sallittuja</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mahdollisia ongelmia:</p> <ul> <li><p>Puuttuva tai tuntematon hakupyynnön tyyppi</p></li> <li><p>Puuttuva URL</p></li> <li><p>Puuttuva HTTP-tunniste (HTTP/1.0).</p></li> <li><p>Hakupyyntö on liian suuri</p></li> <li><p><q>Content-Length</q> puuttuu POST- tai PUT-hakupyynnostä</p></li> <li><p>Virheellinen merkki palvelinnimessä; alaviivat eivät ole sallittuja</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/fr/ERR_INVALID_REQ squid-3.1.0.18/errors/fr/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/fr/ERR_INVALID_REQ	2010-02-25 01:06:33.000000000 +1300
+++ squid-3.1.0.18/errors/fr/ERR_INVALID_REQ	2010-03-14 20:11:56.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Une erreur <b>Requête Invalide</b> a été rencontrée en essayant de traiter la requête :</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Problèmes envisageables :</p> <ul> <li><p>Méthode de requête inconnue ou perdue.</p></li> <li><p>Absence d'URL</p></li> <li><p>Absence d'identifiant HTTP (HTTP/1.0)</p></li> <li><p>La requête est peut-être trop volumineuse</p></li> <li><p>Champ Content-Length absent pour les requêtes POST ou PUT</p></li> <li><p>Caractère illégal dans le nom de la machine, les les soulignés (underscores) ne sont pas autorisés.</p></li> </ul>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Une erreur <b>Requête Invalide</b> a été rencontrée en essayant de traiter la requête :</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Problèmes envisageables :</p> <ul> <li><p>Méthode de requête inconnue ou perdue.</p></li> <li><p>Absence d'URL</p></li> <li><p>Absence d'identifiant HTTP (HTTP/1.0)</p></li> <li><p>La requête est peut-être trop volumineuse</p></li> <li><p>Champ Content-Length absent pour les requêtes POST ou PUT</p></li> <li><p>Caractère illégal dans le nom de la machine, les les soulignés (underscores) ne sont pas autorisés.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/he/ERR_INVALID_REQ squid-3.1.0.18/errors/he/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/he/ERR_INVALID_REQ	2010-02-25 01:06:48.000000000 +1300
+++ squid-3.1.0.18/errors/he/ERR_INVALID_REQ	2010-03-14 20:12:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>שגיאה: לא ניתן לגשת אל הכתובת המבוקשת</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>סוג בקשה לא ידוע או חסר</p></li> <li><p>כתובת חסרה</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>הבקשה ארוכה מדי</p></li> <li><p>חסר Content-Length בשביל בקשות POST או PUT</p></li> <li><p>תווים לא חוקיים בשם השרת; קווים תחתונים אסורים</p></li> </ul>  <p>מנהל השרת הוא <a href="mailto:%w%W">%w</a>. </p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>שגיאה: לא ניתן לגשת אל הכתובת המבוקשת</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>סוג בקשה לא ידוע או חסר</p></li> <li><p>כתובת חסרה</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>הבקשה ארוכה מדי</p></li> <li><p>חסר Content-Length בשביל בקשות POST או PUT</p></li> <li><p>תווים לא חוקיים בשם השרת; קווים תחתונים אסורים</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>מנהל השרת הוא <a href="mailto:%w%W">%w</a>. </p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/hu/ERR_INVALID_REQ squid-3.1.0.18/errors/hu/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/hu/ERR_INVALID_REQ	2010-02-25 01:07:02.000000000 +1300
+++ squid-3.1.0.18/errors/hu/ERR_INVALID_REQ	2010-03-14 20:12:26.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HIBA: A kért URL nem tölthető le</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Hiányzó URL</p></li> <li><p>Hiányzó HTTP azonosító (HTTP/1.0)</p></li> <li><p>A kérés vagy a válasz túl nagy méretű.</p></li> <li><p>Content-Length hiányzik a POST vagy PUT kérésből</p></li> <li><p>A szervernévben nem megengedett karakter található; az aláhúzás karakter például ilyen</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HIBA: A kért URL nem tölthető le</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Hiányzó URL</p></li> <li><p>Hiányzó HTTP azonosító (HTTP/1.0)</p></li> <li><p>A kérés vagy a válasz túl nagy méretű.</p></li> <li><p>Content-Length hiányzik a POST vagy PUT kérésből</p></li> <li><p>A szervernévben nem megengedett karakter található; az aláhúzás karakter például ilyen</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/hy/ERR_INVALID_REQ squid-3.1.0.18/errors/hy/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/hy/ERR_INVALID_REQ	2010-02-25 01:07:17.000000000 +1300
+++ squid-3.1.0.18/errors/hy/ERR_INVALID_REQ	2010-03-14 20:12:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Հարցման մեթոդը բացակայում է կամ անհայտ է</p></li> <li><p>URL -ն բացակայում է</p></li> <li><p>HTTP իդենտիֆիկատորը բացակայում է (HTTP/1.0)</p></li> <li><p>Հարցման ծավալը շատ մեծ է</p></li> <li><p>POST կամ PUT հարցումների համար Content-Length չի նշված</p></li> <li><p>Անթույլատրելի նիշ սերվերի անվան մեջ;ընդգծման նիշն անթույլատրելի է</p></li> </ul>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Հարցման մեթոդը բացակայում է կամ անհայտ է</p></li> <li><p>URL -ն բացակայում է</p></li> <li><p>HTTP իդենտիֆիկատորը բացակայում է (HTTP/1.0)</p></li> <li><p>Հարցման ծավալը շատ մեծ է</p></li> <li><p>POST կամ PUT հարցումների համար Content-Length չի նշված</p></li> <li><p>Անթույլատրելի նիշ սերվերի անվան մեջ;ընդգծման նիշն անթույլատրելի է</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/id/ERR_INVALID_REQ squid-3.1.0.18/errors/id/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/id/ERR_INVALID_REQ	2010-02-25 01:07:32.000000000 +1300
+++ squid-3.1.0.18/errors/id/ERR_INVALID_REQ	2010-03-14 20:12:56.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Cacat Meminta</b> kesalahan ditemukan sedangkan mencoba mengolah permintaan:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Cacat Meminta</b> kesalahan ditemukan sedangkan mencoba mengolah permintaan:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/it/ERR_INVALID_REQ squid-3.1.0.18/errors/it/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/it/ERR_INVALID_REQ	2010-02-25 01:07:47.000000000 +1300
+++ squid-3.1.0.18/errors/it/ERR_INVALID_REQ	2010-03-14 20:13:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRORE: Non è stato possibile accedere alla URL richiesta.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Richiesta non valida</b>. Si è verificato un errore durante l'elaborazione della richiesta:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Alcuni dei possibili problemi sono:</p> <ul> <li><p>Metodo della richiesta non specificato o sconoscito.</p></li> <li><p>URL non specificata.</p></li> <li><p>L'identificativo del protocollo HTTP è mancante (HTTP/1.0).</p></li> <li><p>La richiesta è di dimensioni troppo grandi.</p></li> <li><p>Una richiesta di tipo POST o PUT non contiene il campo Content-Length.</p></li> <li><p>C'è un carattere irregolare nel nome host: gli underscore "_" non sono consentiti.</p></li> </ul>  <p>L'amministratore del proxy è <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generato da %h (%s) il %T.</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRORE: Non è stato possibile accedere alla URL richiesta.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Richiesta non valida</b>. Si è verificato un errore durante l'elaborazione della richiesta:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Alcuni dei possibili problemi sono:</p> <ul> <li><p>Metodo della richiesta non specificato o sconoscito.</p></li> <li><p>URL non specificata.</p></li> <li><p>L'identificativo del protocollo HTTP è mancante (HTTP/1.0).</p></li> <li><p>La richiesta è di dimensioni troppo grandi.</p></li> <li><p>Una richiesta di tipo POST o PUT non contiene il campo Content-Length.</p></li> <li><p>C'è un carattere irregolare nel nome host: gli underscore "_" non sono consentiti.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>L'amministratore del proxy è <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generato da %h (%s) il %T.</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/ja/ERR_INVALID_REQ squid-3.1.0.18/errors/ja/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ja/ERR_INVALID_REQ	2010-02-25 01:08:02.000000000 +1300
+++ squid-3.1.0.18/errors/ja/ERR_INVALID_REQ	2010-03-14 20:13:26.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>不正なリクエスト</b>のエラーが以下のリクエストを処理しようとしている間に発生しました:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>ありそうな問題: </p> <ul> <li><p>要求の方法が抜けているか不明です。</p></li> <li><p>URLがありません。</p></li> <li><p>HTTPの識別子(HTTP/1.0)がありません。</p></li> <li><p>リクエストが長すぎます。</p></li> <li><p>POSTまたはPUTのリクエストにContent-Lengthヘッダがありません。</p></li> <li><p>ホスト名に不正な文字が使われています: アンダースコアは使えません。</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%Tに%h (%s)が生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>不正なリクエスト</b>のエラーが以下のリクエストを処理しようとしている間に発生しました:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>ありそうな問題: </p> <ul> <li><p>要求の方法が抜けているか不明です。</p></li> <li><p>URLがありません。</p></li> <li><p>HTTPの識別子(HTTP/1.0)がありません。</p></li> <li><p>リクエストが長すぎます。</p></li> <li><p>POSTまたはPUTのリクエストにContent-Lengthヘッダがありません。</p></li> <li><p>ホスト名に不正な文字が使われています: アンダースコアは使えません。</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%Tに%h (%s)が生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/ko/ERR_INVALID_REQ squid-3.1.0.18/errors/ko/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ko/ERR_INVALID_REQ	2010-02-25 01:08:17.000000000 +1300
+++ squid-3.1.0.18/errors/ko/ERR_INVALID_REQ	2010-03-14 20:13:40.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>에러: 요청된 URL을 가져올 수 없습니다.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Request method가 잘못되었거나 빠져 있다.</p></li> <li><p>URL이 빠져 있다.</p></li> <li><p>HTTP Identifier (HTTP/1.0)이 빠져 있다.</p></li> <li><p>Request가 너무 크다.</p></li> <li><p>POST나 PUT 요청일 경우 Content-Length가 빠져 있다.</p></li> <li><p>호스트네임에 잘못 된 문자가 있다; 밑줄은 허용되지 않습니다.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>에러: 요청된 URL을 가져올 수 없습니다.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Request method가 잘못되었거나 빠져 있다.</p></li> <li><p>URL이 빠져 있다.</p></li> <li><p>HTTP Identifier (HTTP/1.0)이 빠져 있다.</p></li> <li><p>Request가 너무 크다.</p></li> <li><p>POST나 PUT 요청일 경우 Content-Length가 빠져 있다.</p></li> <li><p>호스트네임에 잘못 된 문자가 있다; 밑줄은 허용되지 않습니다.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/lt/ERR_INVALID_REQ squid-3.1.0.18/errors/lt/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/lt/ERR_INVALID_REQ	2010-02-25 01:08:32.000000000 +1300
+++ squid-3.1.0.18/errors/lt/ERR_INVALID_REQ	2010-03-14 20:13:55.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Trūksta arba nežinomas užklausos metodas</p></li> <li><p>Trūksta adreso</p></li> <li><p>Trūksta HTTP identifikatoriaus (HTTP/1.0)</p></li> <li><p>Užklausa per didelė</p></li> <li><p>Trūksta Content-Length parametro POST arba PUT užklausoje</p></li> <li><p>Neleistinas simbolis serverio varde; pabraukimo simboliai yra neleistini</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Trūksta arba nežinomas užklausos metodas</p></li> <li><p>Trūksta adreso</p></li> <li><p>Trūksta HTTP identifikatoriaus (HTTP/1.0)</p></li> <li><p>Užklausa per didelė</p></li> <li><p>Trūksta Content-Length parametro POST arba PUT užklausoje</p></li> <li><p>Neleistinas simbolis serverio varde; pabraukimo simboliai yra neleistini</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/lv/ERR_INVALID_REQ squid-3.1.0.18/errors/lv/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/lv/ERR_INVALID_REQ	2010-02-25 01:08:47.000000000 +1300
+++ squid-3.1.0.18/errors/lv/ERR_INVALID_REQ	2010-03-14 20:14:10.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nekorekts pieprasījums</b> notikusi kļūda mēģinot apstrādāt pieprasījumu:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Dažas iespējamās problēmas ir:</p> <ul> <li><p>Nav vai ir nezināma pieprasījuma metode.</p></li> <li><p>Pazudis URL.</p></li> <li><p>pietrūkst HTTP identifikators (HTTP/1.0).</p></li> <li><p>Pieprasījums ir par lielu.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Neatļauts simbols adresē. Pasvītrojuma rakstzīme nav atļauta.</p></li> </ul>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nekorekts pieprasījums</b> notikusi kļūda mēģinot apstrādāt pieprasījumu:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Dažas iespējamās problēmas ir:</p> <ul> <li><p>Nav vai ir nezināma pieprasījuma metode.</p></li> <li><p>Pazudis URL.</p></li> <li><p>pietrūkst HTTP identifikators (HTTP/1.0).</p></li> <li><p>Pieprasījums ir par lielu.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Neatļauts simbols adresē. Pasvītrojuma rakstzīme nav atļauta.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/ms/ERR_INVALID_REQ squid-3.1.0.18/errors/ms/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ms/ERR_INVALID_REQ	2010-02-25 01:09:01.000000000 +1300
+++ squid-3.1.0.18/errors/ms/ERR_INVALID_REQ	2010-03-14 20:14:25.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>RALAT: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Permintaan Salah</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>URL Hilang</p></li> <li><p>Kehilangan HTTP Identifier (HTTP/1.0)</p></li> <li><p>Permintaan terlalu besar</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Pengurus Proxy anda ialah <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Dibuat pada %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>RALAT: The requested URL could not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Permintaan Salah</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>URL Hilang</p></li> <li><p>Kehilangan HTTP Identifier (HTTP/1.0)</p></li> <li><p>Permintaan terlalu besar</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Pengurus Proxy anda ialah <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Dibuat pada %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/nl/ERR_INVALID_REQ squid-3.1.0.18/errors/nl/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/nl/ERR_INVALID_REQ	2010-02-25 01:09:16.000000000 +1300
+++ squid-3.1.0.18/errors/nl/ERR_INVALID_REQ	2010-03-14 20:14:40.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Ongeldige Aanvraag</b> Er is een fout opgetreden tijdens het verwerken van:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>Ontbrekende of onbekende verzoekmethode.</p></li> <li><p>Ontbrekende URL.</p></li> <li><p>Ontbrekende HTTP identificatie (HTTP/1.0).</p></li> <li><p>Het verzoek is te lang.</p></li> <li><p>De Content-Length ontbreekt voor het POST of PUT verzoek.</p></li> <li><p>Er staat een ongeldig teken in de hostnaam; het teken <q>_</q> is niet toegestaan.</p></li> </ul>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Ongeldige Aanvraag</b> Er is een fout opgetreden tijdens het verwerken van:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>Ontbrekende of onbekende verzoekmethode.</p></li> <li><p>Ontbrekende URL.</p></li> <li><p>Ontbrekende HTTP identificatie (HTTP/1.0).</p></li> <li><p>Het verzoek is te lang.</p></li> <li><p>De Content-Length ontbreekt voor het POST of PUT verzoek.</p></li> <li><p>Er staat een ongeldig teken in de hostnaam; het teken <q>_</q> is niet toegestaan.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/pl/ERR_INVALID_REQ squid-3.1.0.18/errors/pl/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/pl/ERR_INVALID_REQ	2010-02-25 01:09:31.000000000 +1300
+++ squid-3.1.0.18/errors/pl/ERR_INVALID_REQ	2010-03-14 20:14:55.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nieprawidłowe zapytanie</b> wystąpił błąd podczas próby przetworzenia zapytania</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Brak lub nieznana metoda (GET, POST)</p></li> <li><p>Brak URL-a</p></li> <li><p>Brak identyfikatora HTTP (HTTP/1.0)</p></li> <li><p>RZbyt duży rozmiar żądania</p></li> <li><p>Brak pola Content-Length  dla metod POST lub PUT</p></li> <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nieprawidłowe zapytanie</b> wystąpił błąd podczas próby przetworzenia zapytania</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Brak lub nieznana metoda (GET, POST)</p></li> <li><p>Brak URL-a</p></li> <li><p>Brak identyfikatora HTTP (HTTP/1.0)</p></li> <li><p>RZbyt duży rozmiar żądania</p></li> <li><p>Brak pola Content-Length  dla metod POST lub PUT</p></li> <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/pt/ERR_INVALID_REQ squid-3.1.0.18/errors/pt/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/pt/ERR_INVALID_REQ	2010-02-25 01:10:01.000000000 +1300
+++ squid-3.1.0.18/errors/pt/ERR_INVALID_REQ	2010-03-14 20:15:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRO: A URL solicitada não pode ser recuperada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Método desconhecido ou faltando (GET, POST)</p></li> <li><p>Faltou a URL</p></li> <li><p>Faltou o identificador HTTP (HTTP/1.0)</p></li> <li><p>A requisição pode ser muito grande</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Hostname com caracter inválido; não são permitidos underscores.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRO: A URL solicitada não pode ser recuperada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Método desconhecido ou faltando (GET, POST)</p></li> <li><p>Faltou a URL</p></li> <li><p>Faltou o identificador HTTP (HTTP/1.0)</p></li> <li><p>A requisição pode ser muito grande</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Hostname com caracter inválido; não são permitidos underscores.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/pt-br/ERR_INVALID_REQ squid-3.1.0.18/errors/pt-br/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/pt-br/ERR_INVALID_REQ	2010-02-25 01:09:46.000000000 +1300
+++ squid-3.1.0.18/errors/pt-br/ERR_INVALID_REQ	2010-03-14 20:15:10.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRO: A URL requisitada não pôde ser recuperada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Requisição Inválida</b> erro encontrado ao tentar processar a requisição:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Alguns dos possíveis problemas são:</p> <ul> <li><p>Método de requisição faltando ou desconhecido.</p></li> <li><p>URL faltando.</p></li> <li><p>Identificador HTTP faltando (HTTP/1.0).</p></li> <li><p>Requisição é muito grande.</p></li> <li><p>Content-Length faltando para requisições POST ou PUT.</p></li> <li><p>Caracter ilegal no nome de host; underscores não são permitidos.</p></li> </ul>  <p>Seu administrador do cache é <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gerado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERRO: A URL requisitada não pôde ser recuperada</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Requisição Inválida</b> erro encontrado ao tentar processar a requisição:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Alguns dos possíveis problemas são:</p> <ul> <li><p>Método de requisição faltando ou desconhecido.</p></li> <li><p>URL faltando.</p></li> <li><p>Identificador HTTP faltando (HTTP/1.0).</p></li> <li><p>Requisição é muito grande.</p></li> <li><p>Content-Length faltando para requisições POST ou PUT.</p></li> <li><p>Caracter ilegal no nome de host; underscores não são permitidos.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Seu administrador do cache é <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gerado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/ro/ERR_INVALID_REQ squid-3.1.0.18/errors/ro/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ro/ERR_INVALID_REQ	2010-02-25 01:10:17.000000000 +1300
+++ squid-3.1.0.18/errors/ro/ERR_INVALID_REQ	2010-03-14 20:15:39.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi accesat</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Eroarea <b>Cerere invalidă</b> a fost întâlnită în timp ce se încerca procesarea cererii:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Unele posibile probleme sunt:</p> <ul> <li><p>Metoda de cerere lipseşte sau nu este cunoscută.</p></li> <li><p>Lipseşte URL-ul.</p></li> <li><p>Lipseşte identificatorul HTTP (HTTP/1.0).</p></li> <li><p>Cererea este prea mare.</p></li> <li><p>Content-Length lipseşte pentru cererile POST sau PUT.</p></li> <li><p>Caracter ilegal în numele staţiei; liniuţele de subliniere nu sunt permise.</p></li> </ul>  <p>Administratorul cache-ului este <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generat %T de către %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi accesat</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Eroarea <b>Cerere invalidă</b> a fost întâlnită în timp ce se încerca procesarea cererii:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Unele posibile probleme sunt:</p> <ul> <li><p>Metoda de cerere lipseşte sau nu este cunoscută.</p></li> <li><p>Lipseşte URL-ul.</p></li> <li><p>Lipseşte identificatorul HTTP (HTTP/1.0).</p></li> <li><p>Cererea este prea mare.</p></li> <li><p>Content-Length lipseşte pentru cererile POST sau PUT.</p></li> <li><p>Caracter ilegal în numele staţiei; liniuţele de subliniere nu sunt permise.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Administratorul cache-ului este <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generat %T de către %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/ru/ERR_INVALID_REQ squid-3.1.0.18/errors/ru/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/ru/ERR_INVALID_REQ	2010-02-25 01:10:32.000000000 +1300
+++ squid-3.1.0.18/errors/ru/ERR_INVALID_REQ	2010-03-14 20:15:54.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Обнаружен <b>недопустимый запрос</b>:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Возможные проблемы:</p> <ul> <li><p>Отсутствует или неизвестен метод запроса.</p></li> <li><p>Отсутствует URL.</p></li> <li><p>Отсутствует идентификатор HTTP (HTTP/1.0).</p></li> <li><p>Запрос слишком велик.</p></li> <li><p>В запросе POST или PUT отсутствует заголовок Content-Length.</p></li> <li><p>Недопустимый символ в имени узла (hostname), подчёркивания запрещены.</p></li> </ul>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Обнаружен <b>недопустимый запрос</b>:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Возможные проблемы:</p> <ul> <li><p>Отсутствует или неизвестен метод запроса.</p></li> <li><p>Отсутствует URL.</p></li> <li><p>Отсутствует идентификатор HTTP (HTTP/1.0).</p></li> <li><p>Запрос слишком велик.</p></li> <li><p>В запросе POST или PUT отсутствует заголовок Content-Length.</p></li> <li><p>Недопустимый символ в имени узла (hostname), подчёркивания запрещены.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sk/ERR_INVALID_REQ squid-3.1.0.18/errors/sk/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/sk/ERR_INVALID_REQ	2010-02-25 01:10:47.000000000 +1300
+++ squid-3.1.0.18/errors/sk/ERR_INVALID_REQ	2010-03-14 20:16:09.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný URL nebolo možné získať</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Vyskytla sa chyba <b>Neplatná požiadavka</b> pri pokuse o spracovanie požiadavky:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Niektoré možné problémy:</p> <ul> <li><p>Chýbajúca alebo neznáma metóda požiadavky.</p></li> <li><p>Chýbajúci URL.</p></li> <li><p>Chýbajúci identifikátor HTTP (HTTP/1.0).</p></li> <li><p>Požiadavka je príliš dlhá.</p></li> <li><p>Chýbajúca položka Content-Length pre požiadavky POST alebo PUT.</p></li> <li><p>Chybný znak v názve serveru; podčiarovník nie je povolený.</p></li> </ul>  <p>Vaším správcom cache je <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Vytvoril %T, %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný URL nebolo možné získať</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Vyskytla sa chyba <b>Neplatná požiadavka</b> pri pokuse o spracovanie požiadavky:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Niektoré možné problémy:</p> <ul> <li><p>Chýbajúca alebo neznáma metóda požiadavky.</p></li> <li><p>Chýbajúci URL.</p></li> <li><p>Chýbajúci identifikátor HTTP (HTTP/1.0).</p></li> <li><p>Požiadavka je príliš dlhá.</p></li> <li><p>Chýbajúca položka Content-Length pre požiadavky POST alebo PUT.</p></li> <li><p>Chybný znak v názve serveru; podčiarovník nie je povolený.</p></li> <li><p>Vlastnosť Expect: verzie HTTP/1.1 sa požaduje od softvéru verzie HTTP/1.0.</p></li> </ul>  <p>Vaším správcom cache je <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Vytvoril %T, %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_ACCESS_DENIED squid-3.1.0.18/errors/sr/ERR_ACCESS_DENIED
--- squid-3.1.0.17/errors/sr/ERR_ACCESS_DENIED	2010-02-25 01:11:00.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pristup nije dozvoljen.</b></p> </blockquote>  <p>Sistem za kontrolu pristupa konfigurisan je tako da vam u ovom trenutku pristup nije dozvoljen. Ako smatrate da to nije u redu, molimo da kontaktirate vašeg servis provajdera.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_CACHE_ACCESS_DENIED squid-3.1.0.18/errors/sr/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.17/errors/sr/ERR_CACHE_ACCESS_DENIED	2010-02-25 01:11:02.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Pristup nije dozvoljen.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pristup proksi/keš serveru nije dozvoljen.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Ukoliko budete imali problema oko autentifikacije molimo kontaktirajte <a href="mailto:%w%W">proksi administratora</a> ili želite da  <a href="http://%h/cgi-bin/chpasswd.cgi">promenite</a> svoju poèetnu lozinku.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.18/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.17/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED	2010-02-25 01:11:01.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Pristup nije dozvoljen.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pristup proksi/keš server menadžeru nije dozvoljen.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>koliko budete imali problema oko autentifikacije molimo kontaktirajte <a href="mailto:%w%W">proxy administratora</a> a ako vi <em>jeste</em> administrator, proèitajte dokumentaciju o keš menadžeru za Squid i proverite keš log za detaljnije opise grešaka.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_CANNOT_FORWARD squid-3.1.0.18/errors/sr/ERR_CANNOT_FORWARD
--- squid-3.1.0.17/errors/sr/ERR_CANNOT_FORWARD	2010-02-25 01:11:01.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Vaš zahtev ne može da se prosledi u ovom trenutku.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_CONNECT_FAIL squid-3.1.0.18/errors/sr/ERR_CONNECT_FAIL
--- squid-3.1.0.17/errors/sr/ERR_CONNECT_FAIL	2010-02-25 01:10:55.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Udaljeni raèunar ili mreža nisu operativni.  Molimo pokušajte kasnije.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_DIR_LISTING squid-3.1.0.18/errors/sr/ERR_DIR_LISTING
--- squid-3.1.0.17/errors/sr/ERR_DIR_LISTING	2010-02-25 01:10:59.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_DIR_LISTING	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Надређени директоријум</a> (<a href="/">Основни директоријум</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_DNS_FAIL squid-3.1.0.18/errors/sr/ERR_DNS_FAIL
--- squid-3.1.0.17/errors/sr/ERR_DNS_FAIL	2010-02-25 01:11:05.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nije moguæe odrediti IP adresu iz imena raèunara za <q>%H</q></b></p> </blockquote>  <p>DNS server je vratio informaciju:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>što znaèi proksi server nije u stanju da identifikuje ime raèunara koje se nalazi u adresi (URL). Proverite da li je adresa ispravna.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_ESI squid-3.1.0.18/errors/sr/ERR_ESI
--- squid-3.1.0.17/errors/sr/ERR_ESI	2010-02-25 01:10:53.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI obrada nije uspela.</b></p> </blockquote>  <p>ESI procesor je vratio:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Vaš webmaster je <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FORWARDING_DENIED squid-3.1.0.18/errors/sr/ERR_FORWARDING_DENIED
--- squid-3.1.0.17/errors/sr/ERR_FORWARDING_DENIED	2010-02-25 01:11:00.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Prosleðivanje odbijeno.</b></p> </blockquote>  <p>Ovaj proksi server neæe da prosledi vaš zahtev zato što pokušava da poštuje sibling odnose.  Možda je klijent na %i proksi serveru koji je pogrešno konfigurisan.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_DISABLED squid-3.1.0.18/errors/sr/ERR_FTP_DISABLED
--- squid-3.1.0.17/errors/sr/ERR_FTP_DISABLED	2010-02-25 01:11:05.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP nije omoguæen.</b></p> </blockquote>  <p>Ovaj proksi server ne omoguèava FTP saobraæaj.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_FAILURE squid-3.1.0.18/errors/sr/ERR_FTP_FAILURE
--- squid-3.1.0.17/errors/sr/ERR_FTP_FAILURE	2010-02-25 01:11:05.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Desila se greška u FTP protokolu prilikom dovlaèenja URL-a: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_FORBIDDEN squid-3.1.0.18/errors/sr/ERR_FTP_FORBIDDEN
--- squid-3.1.0.17/errors/sr/ERR_FTP_FORBIDDEN	2010-02-25 01:11:00.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_NOT_FOUND squid-3.1.0.18/errors/sr/ERR_FTP_NOT_FOUND
--- squid-3.1.0.17/errors/sr/ERR_FTP_NOT_FOUND	2010-02-25 01:10:56.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>To može da bude prouzrokovano time što je FTP adresa (URL) sa apsolutnom putanjom (što se ne slaže sa RFC 1738).  Ukoliko je to sluèaj, fajl možete da naðete na <a href="%B">%B</a>.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_PUT_CREATED squid-3.1.0.18/errors/sr/ERR_FTP_PUT_CREATED
--- squid-3.1.0.17/errors/sr/ERR_FTP_PUT_CREATED	2010-02-25 01:11:03.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT uspešan: Fajl je prenesen</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacija je okonèana uspešno</h1> <h2>Fajl je prenesen</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_PUT_ERROR squid-3.1.0.18/errors/sr/ERR_FTP_PUT_ERROR
--- squid-3.1.0.17/errors/sr/ERR_FTP_PUT_ERROR	2010-02-25 01:11:03.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: FTP upload failed</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/upload nije uspeo</h2> </div> <hr>  <div id="content"> <p>Tokom pokušaja da se prenese (PUT) strana sa sledeæom adresom (URL): <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_PUT_MODIFIED squid-3.1.0.18/errors/sr/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.17/errors/sr/ERR_FTP_PUT_MODIFIED	2010-02-25 01:10:52.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT uspešan: Fajl je osvežen</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacija je okonèana uspešno</h1> <h2>Fajl je osvežen</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_FTP_UNAVAILABLE squid-3.1.0.18/errors/sr/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.17/errors/sr/ERR_FTP_UNAVAILABLE	2010-02-25 01:10:56.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_ICAP_FAILURE squid-3.1.0.18/errors/sr/ERR_ICAP_FAILURE
--- squid-3.1.0.17/errors/sr/ERR_ICAP_FAILURE	2010-02-25 01:10:59.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška u ICAP protokolu.</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>ICAP server je nedostupan.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_INVALID_REQ squid-3.1.0.18/errors/sr/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/sr/ERR_INVALID_REQ	2010-02-25 01:11:02.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Metod zahteva je nepoznat ili nedostaje.</p></li> <li><p>Nedostaje adresa (URL).</p></li> <li><p>Nedostaje  HTTP identifikator (HTTP/1.0).</p></li> <li><p>Zahtev je predug.</p></li> <li><p>Nedostaje dužina zahteva (Content-Length) za POST ili PUT zahtev</p></li> <li><p>Nedozvoljeni karakteri u imenu raèunara; donja crta (_) nije dozvoljena.</p></li> </ul>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_INVALID_RESP squid-3.1.0.18/errors/sr/ERR_INVALID_RESP
--- squid-3.1.0.17/errors/sr/ERR_INVALID_RESP	2010-02-25 01:11:07.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>HTTP odgovor koji je dobijen od kontaktiranog servera ne može da se razume ili je na neki nacin pogrešno formirana. Molimo kontaktirajte operatora sajta.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_INVALID_URL squid-3.1.0.18/errors/sr/ERR_INVALID_URL
--- squid-3.1.0.17/errors/sr/ERR_INVALID_URL	2010-02-25 01:11:06.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Neispravna adresa (URL)</b></p> </blockquote>  <p>Jedan od aspekata zahtevane adrese (URL) nije ispravan.</p>  <p>Some possible problems are:</p> <ul> <li><p>Pristupni protokol nedostaje ili je neispravan (trebao bi da bude <q>http://</q> ili slièno)</p></li> <li><p>Nedostaje ime raèunara (servera)</p></li> <li><p>Nedozvoljeni dvostruki-escape u URL putanji</p></li> <li><p>Nedozvoljeni karakteri u imenu raèunara; donja crta (_) nije dozvoljena.</p></li> </ul>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_LIFETIME_EXP squid-3.1.0.18/errors/sr/ERR_LIFETIME_EXP
--- squid-3.1.0.17/errors/sr/ERR_LIFETIME_EXP	2010-02-25 01:10:57.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dozvoljeno trajanje konekcije je prekoraèeno</b></p> </blockquote>  <p>Squid Proksi server je prekinuo konekciju jer je prekoraèila dozvoljeno trajanje konekcije.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_NO_RELAY squid-3.1.0.18/errors/sr/ERR_NO_RELAY
--- squid-3.1.0.17/errors/sr/ERR_NO_RELAY	2010-02-25 01:11:06.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nema Wais relay-a</b></p> </blockquote>  <p>Za ovaj proksi server nije definisan WAIS relay raèunar! Pitajte administratora.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.18/errors/sr/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.17/errors/sr/ERR_ONLY_IF_CACHED_MISS	2010-02-25 01:10:57.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>U kešu nije naðen validan dokument a specificirane je direktiva <q>only-if-cached</q>.</b></p> </blockquote>  <p>Za vaš zahtev postavljena je <q>only-if-cached</q> proksi direktiva.Dokument nije naðen u proksi arhivi, <em>ili</em> se zahteva revalidacija kojaje zabranjena direktivom <q>only-if-cached</q>.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_READ_ERROR squid-3.1.0.18/errors/sr/ERR_READ_ERROR
--- squid-3.1.0.17/errors/sr/ERR_READ_ERROR	2010-02-25 01:10:57.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška u èitanju</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Desila se greška prilikom èitanja podataka sa mreže.  Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_READ_TIMEOUT squid-3.1.0.18/errors/sr/ERR_READ_TIMEOUT
--- squid-3.1.0.17/errors/sr/ERR_READ_TIMEOUT	2010-02-25 01:10:58.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Predugo vreme èitanja</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Prilikom isèitavanja greške sa mreže došlo je do prekida.  Mreža ili server su možda preoptereæeni ili nedostupni.  Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_SECURE_CONNECT_FAIL squid-3.1.0.18/errors/sr/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.17/errors/sr/ERR_SECURE_CONNECT_FAIL	2010-02-25 01:10:53.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nije uspelo uspostavljanje sigune konekcije sa %I</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Ovaj proksi i udaljeni server nisu uspeli da se dogovore oko sigunosnih podešavanja za izvršavanje vašeg zahteva. Moguce je da je udaljeni server ne podržava sigune konekcije, ili da proksi nije zadovoljan sa pravilima sigunosti udaljenog servera.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_SHUTTING_DOWN squid-3.1.0.18/errors/sr/ERR_SHUTTING_DOWN
--- squid-3.1.0.17/errors/sr/ERR_SHUTTING_DOWN	2010-02-25 01:10:54.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Ovaj proksi server je u procesu iskljuèivanja i ne može da izvrši zahtev u ovom trenutku. Molimo pokušajte ponovo uskoro.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_SOCKET_FAILURE squid-3.1.0.18/errors/sr/ERR_SOCKET_FAILURE
--- squid-3.1.0.17/errors/sr/ERR_SOCKET_FAILURE	2010-02-25 01:10:55.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška prilikom uspostavljanja konekcije (Socket)</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Squid nije u stanju da kreira TCP socket, verovatno zbog preoptereæenosti. Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_TOO_BIG squid-3.1.0.18/errors/sr/ERR_TOO_BIG
--- squid-3.1.0.17/errors/sr/ERR_TOO_BIG	2010-02-25 01:11:04.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zahtev ili odgovor je prevelik.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>Ove limite postavio je intenet servis provajder koji koristi ovaj proksi server. Ako smatrate da je to greška, molimo stupite u kontakt sa administratorom.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_UNSUP_HTTPVERSION squid-3.1.0.18/errors/sr/ERR_UNSUP_HTTPVERSION
--- squid-3.1.0.17/errors/sr/ERR_UNSUP_HTTPVERSION	2010-02-25 01:10:58.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_UNSUP_HTTPVERSION	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Unsupported HTTP version</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>This Squid does not accept the HTTP version you are attempting to use.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_UNSUP_REQ squid-3.1.0.18/errors/sr/ERR_UNSUP_REQ
--- squid-3.1.0.17/errors/sr/ERR_UNSUP_REQ	2010-02-25 01:11:04.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nepodržan metod ili protokol zahteva (Request)</b></p> </blockquote>  <p>Squid Proksi server ne podržava sve metode zahteva za sve moguæe pristupne protokole. Na primer ne možete da uradite POST na Gopher zahtev.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_URN_RESOLVE squid-3.1.0.18/errors/sr/ERR_URN_RESOLVE
--- squid-3.1.0.17/errors/sr/ERR_URN_RESOLVE	2010-02-25 01:10:54.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: The requested URN not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Tražena adresa (URL) za URN ne može da se dovuèe</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ne mogu da odgonetnem URN</b></p> </blockquote>  <p>Hej, nemoj mnogo da oèekujes od URNova na %T! :)</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_WRITE_ERROR squid-3.1.0.18/errors/sr/ERR_WRITE_ERROR
--- squid-3.1.0.17/errors/sr/ERR_WRITE_ERROR	2010-02-25 01:11:07.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška u upisu</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Desila se greška prilikom upisa u mreži. Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sr/ERR_ZERO_SIZE_OBJECT squid-3.1.0.18/errors/sr/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.17/errors/sr/ERR_ZERO_SIZE_OBJECT	2010-02-25 01:10:54.000000000 +1300
+++ squid-3.1.0.18/errors/sr/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Odgovor nulte dužine</b></p> </blockquote>  <p>Squid did not receive any data for this request.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sv/ERR_DIR_LISTING squid-3.1.0.18/errors/sv/ERR_DIR_LISTING
--- squid-3.1.0.17/errors/sv/ERR_DIR_LISTING	2010-02-25 01:11:15.000000000 +1300
+++ squid-3.1.0.18/errors/sv/ERR_DIR_LISTING	2010-03-14 20:16:22.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Katalog: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Katalog: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Föräldrakatalog"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Katalog: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Katalog: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Kataloginnehåll:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Föräldrakatalog"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sv/ERR_INVALID_REQ squid-3.1.0.18/errors/sv/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/sv/ERR_INVALID_REQ	2010-02-25 01:11:17.000000000 +1300
+++ squid-3.1.0.18/errors/sv/ERR_INVALID_REQ	2010-03-14 20:16:25.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEL: Den beg&auml;rda URL:en kunde inte h&auml;mtas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Felaktig F&ouml;rfr&aring;an</b> fel p&aring;tr&auml;ffades n&auml;r f&ouml;rfr&aring;gan skulle behandlas:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>N&aring;gra m&ouml;jliga problem &auml;r:</p> <ul> <li><p>Avsaknad eller ok&auml;nd method f&ouml;r f&ouml;rfr&aring;gan.</p></li> <li><p>URL saknas.</p></li> <li><p>Avsaknad HTTP identifierare (HTTP/1.0).</p></li> <li><p>F&ouml;rfr&aring;gan &auml;r f&ouml;r stor.</p></li> <li><p>Content-Length saknas i POST eller PUT beg&auml;ran.</p></li> <li><p>Ej till&aring;tet tecken i v&auml;rdnamnet; understryckningstecken &auml;r ej till&aring;tna.</p></li> </ul>  <p>Din cacheserver administrat&ouml;r &auml;r <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEL: Den beg&auml;rda URL:en kunde inte h&auml;mtas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Felaktig F&ouml;rfr&aring;an</b> fel p&aring;tr&auml;ffades n&auml;r f&ouml;rfr&aring;gan skulle behandlas:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>N&aring;gra m&ouml;jliga problem &auml;r:</p> <ul> <li><p>Avsaknad eller ok&auml;nd method f&ouml;r f&ouml;rfr&aring;gan.</p></li> <li><p>URL saknas.</p></li> <li><p>Avsaknad HTTP identifierare (HTTP/1.0).</p></li> <li><p>F&ouml;rfr&aring;gan &auml;r f&ouml;r stor.</p></li> <li><p>Content-Length saknas i POST eller PUT beg&auml;ran.</p></li> <li><p>Ej till&aring;tet tecken i v&auml;rdnamnet; understryckningstecken &auml;r ej till&aring;tna.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Din cacheserver administrat&ouml;r &auml;r <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/sv/ERR_UNSUP_HTTPVERSION squid-3.1.0.18/errors/sv/ERR_UNSUP_HTTPVERSION
--- squid-3.1.0.17/errors/sv/ERR_UNSUP_HTTPVERSION	2010-02-25 01:11:13.000000000 +1300
+++ squid-3.1.0.18/errors/sv/ERR_UNSUP_HTTPVERSION	2010-03-14 20:16:21.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEL: Den beg&auml;rda URL:en kunde inte h&auml;mtas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Unsupported HTTP version</h2> </div> <hr>  <div id="content"> <p>F&ouml;ljande fel p&aring;tr&auml;ffades vid h&auml;mtning av URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>This Squid does not accept the HTTP version you are attempting to use.</p>  <p>Din cacheserver administrat&ouml;r &auml;r <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FEL: Den beg&auml;rda URL:en kunde inte h&auml;mtas</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Icke stödd HTTP version</h2> </div> <hr>  <div id="content"> <p>F&ouml;ljande fel p&aring;tr&auml;ffades vid h&auml;mtning av URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>Squid fungerar inte med den versionen av HTTP som du försöker använda</p>  <p>Din cacheserver administrat&ouml;r &auml;r <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/templates/ERR_INVALID_REQ squid-3.1.0.18/errors/templates/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/templates/ERR_INVALID_REQ	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/errors/templates/ERR_INVALID_REQ	2010-03-14 20:06:08.000000000 +1300
@@ -31,6 +31,7 @@
 <li><p>Request is too large.</p></li>
 <li><p>Content-Length missing for POST or PUT requests.</p></li>
 <li><p>Illegal character in hostname; underscores are not allowed.</p></li>
+<li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li>
 </ul>
 
 <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>
diff -u -r -N squid-3.1.0.17/errors/th/ERR_INVALID_REQ squid-3.1.0.18/errors/th/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/th/ERR_INVALID_REQ	2010-02-25 01:11:33.000000000 +1300
+++ squid-3.1.0.18/errors/th/ERR_INVALID_REQ	2010-03-14 20:16:40.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: ไม่สามารถเรียกดู URL ที่ได้รับการร้องขอ</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>ไม่สามารถเรียกดู URL ที่ได้รับการร้องขอ</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>ปัญหาที่เป็นไปได้อาจจะเป็น:</p> <ul> <li><p>ไม่ได้ระบุวิธีการหรือคำสั่ง หรือ ไม่รู้จักวิธีการหรือคำสั่งที่เรียกมา (request method)</p></li> <li><p>ไม่ได้ระบุ URL</p></li> <li><p>ไม่ได้ระบุชื่อตัวแแปร (identifier) ใน HTTP (HTTP/1.0)</p></li> <li><p>คำสั่งหรือคำร้อง (request) ที่ส่ง มีขนาดใหญ่เกินไป</p></li> <li><p>ไม่ได้ระบุ Content-Length ในการสั่ง POST หรือ PUT</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>ผู้ดูแลระบบแคชของคุณคือ <a href="mailto:%w%W">%w</a></p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERROR: ไม่สามารถเรียกดู URL ที่ได้รับการร้องขอ</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>ไม่สามารถเรียกดู URL ที่ได้รับการร้องขอ</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>ปัญหาที่เป็นไปได้อาจจะเป็น:</p> <ul> <li><p>ไม่ได้ระบุวิธีการหรือคำสั่ง หรือ ไม่รู้จักวิธีการหรือคำสั่งที่เรียกมา (request method)</p></li> <li><p>ไม่ได้ระบุ URL</p></li> <li><p>ไม่ได้ระบุชื่อตัวแแปร (identifier) ใน HTTP (HTTP/1.0)</p></li> <li><p>คำสั่งหรือคำร้อง (request) ที่ส่ง มีขนาดใหญ่เกินไป</p></li> <li><p>ไม่ได้ระบุ Content-Length ในการสั่ง POST หรือ PUT</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>ผู้ดูแลระบบแคชของคุณคือ <a href="mailto:%w%W">%w</a></p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/tr/ERR_INVALID_REQ squid-3.1.0.18/errors/tr/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/tr/ERR_INVALID_REQ	2010-02-25 01:11:49.000000000 +1300
+++ squid-3.1.0.18/errors/tr/ERR_INVALID_REQ	2010-03-14 20:16:54.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Geçersiz İstek</b> İşlem sırasında bir hata ile karşılaşıldı:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Buna sebep aşağidakilerden herhangi biri olabilir:</p> <ul> <li><p>Eksik veya bilinmeyen metod (GET, POST).</p></li> <li><p>Eksik URL.</p></li> <li><p>Eksik HTTP Belirleyici (HTTP/1.0).</p></li> <li><p>İstenilen dosya çok büyük.</p></li> <li><p>Content-Length, POST veya PUT istekleri için eksik.</p></li> <li><p>Adreste yanlış karakterler (alt çizgi, vs. kullanılamaz).</p></li> </ul>  <p>Önbellk yöneticiniz <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s) tarafından %T oluşturuldu</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Geçersiz İstek</b> İşlem sırasında bir hata ile karşılaşıldı:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Buna sebep aşağidakilerden herhangi biri olabilir:</p> <ul> <li><p>Eksik veya bilinmeyen metod (GET, POST).</p></li> <li><p>Eksik URL.</p></li> <li><p>Eksik HTTP Belirleyici (HTTP/1.0).</p></li> <li><p>İstenilen dosya çok büyük.</p></li> <li><p>Content-Length, POST veya PUT istekleri için eksik.</p></li> <li><p>Adreste yanlış karakterler (alt çizgi, vs. kullanılamaz).</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Önbellk yöneticiniz <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s) tarafından %T oluşturuldu</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/TRANSLATORS squid-3.1.0.18/errors/TRANSLATORS
--- squid-3.1.0.17/errors/TRANSLATORS	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/errors/TRANSLATORS	2010-03-14 20:06:08.000000000 +1300
@@ -4,9 +4,9 @@
 	Adi Sudana
 	Aecio F. Neto
 	Alexandre Correa <ajcorrea@gmail.com>
-	Amos Jeffries
+	Amos Jeffries <squid3@treenet.co.nz>
 	Arthur Titeica <arthur@psw.ro>
-	Bratislav Ilic
+	Bratislav Ilic <batailic@gmail.com>
 	Christian Schmidt
 	Constantin Rack
 	Evgeni Gechev
diff -u -r -N squid-3.1.0.17/errors/uk/ERR_INVALID_REQ squid-3.1.0.18/errors/uk/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/uk/ERR_INVALID_REQ	2010-02-25 01:12:04.000000000 +1300
+++ squid-3.1.0.18/errors/uk/ERR_INVALID_REQ	2010-03-14 20:17:09.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ПОМИЛКА: Запитаний URL не може бути отриманий.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Невірний запит</b> виник при обробці запиту:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Ймовірні причини:</p> <ul> <li><p>Відсутній або невідомий метод запиту</p></li> <li><p>Відсутній URL</p></li> <li><p>Відсутній HTTP ідентифікатор (HTTP/1.0)</p></li> <li><p>Запит завеликий</p></li> <li><p>Заголовок Content-Length відсутній для запитів POST чи PUT</p></li> <li><p>Неприпустимий символ в імені сервера; символ підкреслення заборонено.</p></li> </ul>  <p>Адміністратор даного кешу <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Згенеровано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ПОМИЛКА: Запитаний URL не може бути отриманий.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Невірний запит</b> виник при обробці запиту:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Ймовірні причини:</p> <ul> <li><p>Відсутній або невідомий метод запиту</p></li> <li><p>Відсутній URL</p></li> <li><p>Відсутній HTTP ідентифікатор (HTTP/1.0)</p></li> <li><p>Запит завеликий</p></li> <li><p>Заголовок Content-Length відсутній для запитів POST чи PUT</p></li> <li><p>Неприпустимий символ в імені сервера; символ підкреслення заборонено.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Адміністратор даного кешу <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Згенеровано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/uz/ERR_INVALID_REQ squid-3.1.0.18/errors/uz/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/uz/ERR_INVALID_REQ	2010-02-25 01:12:19.000000000 +1300
+++ squid-3.1.0.18/errors/uz/ERR_INVALID_REQ	2010-03-14 20:17:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ХАТО: Сўралган URL топилмади</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Яроқсиз Сўров</b> сўров бажарилаётган вақтда хатолик яратилди:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Баъзи бўлиши мумкин бўлган муаммолар:</p> <ul> <li><p>Йўқолган ёки номаълум сўраш методи</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Сўров жуда катта.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s) томонидан  %T яратилган</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ХАТО: Сўралган URL топилмади</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Яроқсиз Сўров</b> сўров бажарилаётган вақтда хатолик яратилди:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Баъзи бўлиши мумкин бўлган муаммолар:</p> <ul> <li><p>Йўқолган ёки номаълум сўраш методи</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Сўров жуда катта.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s) томонидан  %T яратилган</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/zh-cn/ERR_INVALID_REQ squid-3.1.0.18/errors/zh-cn/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/zh-cn/ERR_INVALID_REQ	2010-02-25 01:12:34.000000000 +1300
+++ squid-3.1.0.18/errors/zh-cn/ERR_INVALID_REQ	2010-03-14 20:17:39.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>非法请求</b> 尝试处理请求是发生错误:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>可能的问题包括：</p> <ul> <li><p>缺少请求方式或未知的请求方式</p></li> <li><p>缺少网址</p></li> <li><p>缺少 HTTP 标识(HTTP/1.0)</p></li> <li><p>请求命令过长</p></li> <li><p>POST 或 PUT 请求中丢失内容长度(Content-Length)。</p></li> <li><p>主机名称中包含不合法的字符；下划线是不允许的。</p></li> </ul>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>非法请求</b> 尝试处理请求是发生错误:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>可能的问题包括：</p> <ul> <li><p>缺少请求方式或未知的请求方式</p></li> <li><p>缺少网址</p></li> <li><p>缺少 HTTP 标识(HTTP/1.0)</p></li> <li><p>请求命令过长</p></li> <li><p>POST 或 PUT 请求中丢失内容长度(Content-Length)。</p></li> <li><p>主机名称中包含不合法的字符；下划线是不允许的。</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/errors/zh-tw/ERR_INVALID_REQ squid-3.1.0.18/errors/zh-tw/ERR_INVALID_REQ
--- squid-3.1.0.17/errors/zh-tw/ERR_INVALID_REQ	2010-02-25 01:12:49.000000000 +1300
+++ squid-3.1.0.18/errors/zh-tw/ERR_INVALID_REQ	2010-03-14 20:17:54.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>錯誤: 欲連結之網址（URL）無法正確的傳回</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>要求方式遺失或是未知</p></li> <li><p>網站位置遺失</p></li> <li><p>HTTP 標準的宣告遺失（HTTP/1.0）</p></li> <li><p>要求命令過長</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>欲連結的主機名稱包含不合法的字元；底線這個字元是不被允許存在的。</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>錯誤: 欲連結之網址（URL）無法正確的傳回</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>要求方式遺失或是未知</p></li> <li><p>網站位置遺失</p></li> <li><p>HTTP 標準的宣告遺失（HTTP/1.0）</p></li> <li><p>要求命令過長</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>欲連結的主機名稱包含不合法的字元；底線這個字元是不被允許存在的。</p></li> <li><p>HTTP/1.1 Expect: feature is being asked from an HTTP/1.0 software.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.17/helpers/external_acl/ldap_group/squid_ldap_group.c squid-3.1.0.18/helpers/external_acl/ldap_group/squid_ldap_group.c
--- squid-3.1.0.17/helpers/external_acl/ldap_group/squid_ldap_group.c	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/helpers/external_acl/ldap_group/squid_ldap_group.c	2010-03-14 20:06:08.000000000 +1300
@@ -476,6 +476,8 @@
             char *u = strrchr(user, '\\');
             if (!u)
                 u = strrchr(user, '/');
+            if (!u)
+                u = strrchr(user, '+');
             if (u && u[1])
                 user = u + 1;
         }
diff -u -r -N squid-3.1.0.17/helpers/external_acl/unix_group/check_group.c squid-3.1.0.18/helpers/external_acl/unix_group/check_group.c
--- squid-3.1.0.17/helpers/external_acl/unix_group/check_group.c	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/helpers/external_acl/unix_group/check_group.c	2010-03-14 20:06:08.000000000 +1300
@@ -29,6 +29,10 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  * Change Log:
+ * 2010-02-24 hno
+ * Removed group number limitation and fixed related uninitialized
+ * pointer reference (Bug #2813)
+ *
  * Revision 1.7  2004/08/15 00:29:33  hno
  * helper protocol changed to URL-escaped strings in Squid-3.0
  *
@@ -65,8 +69,6 @@
 #include <ctype.h>
 
 #define BUFSIZE 8192		/* the stdin buffer size */
-#define MAX_GROUP 10		/* maximum number of groups specified 
-* on the command line */
 
 /*
  * Verify if users primary group matches groupname
@@ -139,8 +141,8 @@
 {
     char *user, *suser, *p;
     char buf[BUFSIZE];
-    char *grents[MAX_GROUP];
-    int check_pw = 0, ch, i = 0, j = 0, strip_dm = 0;
+    char **grents = NULL;
+    int check_pw = 0, ch, ngroups = 0, i, j = 0, strip_dm = 0;
 
     /* make standard output line buffered */
     setvbuf(stdout, NULL, _IOLBF, 0);
@@ -155,19 +157,11 @@
             check_pw = 1;
             break;
         case 'g':
-            grents[i] = calloc(strlen(optarg) + 1, sizeof(char));
-            strcpy(grents[i], optarg);
-            if (i < MAX_GROUP) {
-                i++;
-            } else {
-                fprintf(stderr,
-                        "Exceeded maximum number of allowed groups (%i)\n", i);
-                exit(1);
-            }
+            grents = realloc(grents, sizeof(*grents) * (ngroups+1));
+            grents[ngroups++] = optarg;
             break;
         case '?':
             if (xisprint(optopt)) {
-
                 fprintf(stderr, "Unknown option '-%c'.\n", optopt);
             } else {
                 fprintf(stderr, "Unknown option character `\\x%x'.\n", optopt);
@@ -211,13 +205,12 @@
                 rfc1738_unescape(p);
                 if (check_pw == 1)
                     j += validate_user_pw(user, p);
-
                 j += validate_user_gr(user, p);
             }
         }
 
         /* check groups supplied on the command line */
-        for (i = 0; grents[i] != NULL; i++) {
+        for (i = 0; i < ngroups; i++) {
             if (check_pw == 1) {
                 j += validate_user_pw(user, grents[i]);
             }
diff -u -r -N squid-3.1.0.17/include/version.h squid-3.1.0.18/include/version.h
--- squid-3.1.0.17/include/version.h	2010-02-25 01:01:41.000000000 +1300
+++ squid-3.1.0.18/include/version.h	2010-03-14 20:06:46.000000000 +1300
@@ -9,7 +9,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1267012855
+#define SQUID_RELEASE_TIME 1268550359
 #endif
 
 #ifndef APP_SHORTNAME
diff -u -r -N squid-3.1.0.17/lib/uudecode.c squid-3.1.0.18/lib/uudecode.c
--- squid-3.1.0.17/lib/uudecode.c	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/lib/uudecode.c	2010-03-14 20:06:08.000000000 +1300
@@ -5,8 +5,6 @@
 #include "config.h"
 #include "util.h"
 
-extern char **environ;
-
 /* aaaack but it's fast and const should make it shared text page. */
 const int pr2six[256] = {
     64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,
diff -u -r -N squid-3.1.0.17/RELEASENOTES.html squid-3.1.0.18/RELEASENOTES.html
--- squid-3.1.0.17/RELEASENOTES.html	2010-02-25 01:12:58.000000000 +1300
+++ squid-3.1.0.18/RELEASENOTES.html	2010-03-14 20:18:02.000000000 +1300
@@ -2,10 +2,10 @@
 <HTML>
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.65">
- <TITLE>Squid 3.1.0.17 release notes</TITLE>
+ <TITLE>Squid 3.1.0.18 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 3.1.0.17 release notes</H1>
+<H1>Squid 3.1.0.18 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -70,7 +70,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-3.1.0.17 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-3.1.0.18 for testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v3/3.1/">http://www.squid-cache.org/Versions/v3/3.1/</A> or the 
 <A HREF="http://www.squid-cache.org/Mirrors/http-mirrors.html">mirrors</A>.</P>
@@ -901,6 +901,10 @@
 </PRE>
 </P>
 
+<DT><B>ignore_expect_100</B><DD>
+<P>Ported from 2.7. Requires --enable-http-violations
+Prevents 417 errors being sent to broken HTTP/1.1 non-compliant clients.</P>
+
 <DT><B>include</B><DD>
 <P>New option to import entire secondary configuration files into squid.conf.
 <PRE>
@@ -1810,9 +1814,6 @@
 <P><EM>http11</EM> not yet ported from 2.7</P>
 <P><EM>urlgroup=</EM> not yet ported from 2.6</P>
 
-<DT><B>ignore_expect_100</B><DD>
-<P>Not yet ported from 2.7</P>
-
 <DT><B>ignore_ims_on_miss</B><DD>
 <P>Not yet ported from 2.7</P>
 
diff -u -r -N squid-3.1.0.17/src/access_log.cc squid-3.1.0.18/src/access_log.cc
--- squid-3.1.0.17/src/access_log.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/access_log.cc	2010-03-14 20:06:08.000000000 +1300
@@ -1538,10 +1538,10 @@
     logformat *format;
 
     struct logformat_token_table_entry *te;
-    debugs(46, 0, "accessLogDumpLogFormat called");
+    debugs(46, 4, "accessLogDumpLogFormat called");
 
     for (format = definitions; format; format = format->next) {
-        debugs(46, 0, "Dumping logformat definition for " << format->name);
+        debugs(46, 3, "Dumping logformat definition for " << format->name);
         storeAppendPrintf(entry, "logformat %s ", format->name);
 
         for (t = format->format; t; t = t->next) {
diff -u -r -N squid-3.1.0.17/src/auth/digest/auth_digest.cc squid-3.1.0.18/src/auth/digest/auth_digest.cc
--- squid-3.1.0.17/src/auth/digest/auth_digest.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/auth/digest/auth_digest.cc	2010-03-14 20:06:08.000000000 +1300
@@ -67,6 +67,33 @@
 
 CBDATA_TYPE(DigestAuthenticateStateData);
 
+enum http_digest_attr_type {
+    DIGEST_USERNAME,
+    DIGEST_REALM,
+    DIGEST_QOP,
+    DIGEST_ALGORITHM,
+    DIGEST_URI,
+    DIGEST_NONCE,
+    DIGEST_NC,
+    DIGEST_CNONCE,
+    DIGEST_RESPONSE,
+    DIGEST_ENUM_END
+};
+
+static const HttpHeaderFieldAttrs DigestAttrs[DIGEST_ENUM_END] = {
+    {"username",  (http_hdr_type)DIGEST_USERNAME},
+    {"realm", (http_hdr_type)DIGEST_REALM},
+    {"qop", (http_hdr_type)DIGEST_QOP},
+    {"algorithm", (http_hdr_type)DIGEST_ALGORITHM},
+    {"uri", (http_hdr_type)DIGEST_URI},
+    {"nonce", (http_hdr_type)DIGEST_NONCE},
+    {"nc", (http_hdr_type)DIGEST_NC},
+    {"cnonce", (http_hdr_type)DIGEST_CNONCE},
+    {"response", (http_hdr_type)DIGEST_RESPONSE},
+};
+
+static HttpHeaderFieldInfo *DigestFieldsInfo = NULL;
+
 /*
  *
  * Nonce Functions
@@ -505,6 +532,11 @@
     if (digestauthenticators)
         helperShutdown(digestauthenticators);
 
+    if (DigestFieldsInfo) {
+        httpHeaderDestroyFieldsInfo(DigestFieldsInfo, DIGEST_ENUM_END);
+        DigestFieldsInfo = NULL;
+    }
+
     authdigest_initialised = 0;
 
     if (!shutting_down) {
@@ -640,6 +672,7 @@
 
             if (strcasecmp(digest_request->response, Response)) {
                 credentials(Failed);
+                digest_request->flags.invalid_password = 1;
                 digest_request->setDenyMessage("Incorrect password");
                 return;
             } else {
@@ -869,6 +902,7 @@
 AuthDigestConfig::init(AuthConfig * scheme)
 {
     if (authenticate) {
+        DigestFieldsInfo = httpHeaderBuildFieldsInfo(DigestAttrs, DIGEST_ENUM_END);
         authenticateDigestNonceSetup();
         authdigest_initialised = 1;
 
@@ -1094,124 +1128,96 @@
     String temp(proxy_auth);
 
     while (strListGetItem(&temp, ',', &item, &ilen, &pos)) {
-        if ((p = strchr(item, '=')) && (p - item < ilen))
-            ilen = p++ - item;
-
-        if (!strncmp(item, "username", ilen)) {
-            /* white space */
+        /* isolate directive name & value */
+        size_t nlen;
+        size_t vlen;
+        if ((p = (const char *)memchr(item, '=', ilen)) && (p - item < ilen)) {
+            nlen = p++ - item;
+            vlen = ilen - (p - item);
+        } else {
+            nlen = ilen;
+            vlen = 0;
+        }
 
-            while (xisspace(*p))
-                p++;
+        /* parse value. auth-param     = token "=" ( token | quoted-string ) */
+        String value;
+        if (vlen > 0) {
+            if (*p == '"') {
+                if (!httpHeaderParseQuotedString(p, &value)) {
+                    debugs(29, 9, "authDigestDecodeAuth: Failed to parse attribute '" << item << "' in '" << temp << "'");
+                    continue;
+                }
+            } else {
+                value.limitInit(p, vlen);
+            }
+        } else {
+            debugs(29, 9, "authDigestDecodeAuth: Failed to parse attribute '" << item << "' in '" << temp << "'");
+            continue;
+        }
 
-            /* quote mark */
-            p++;
+        /* find type */
+        http_digest_attr_type type = (http_digest_attr_type)httpHeaderIdByName(item, nlen, DigestFieldsInfo, DIGEST_ENUM_END);
 
+        switch (type) {
+        case DIGEST_USERNAME:
             safe_free(username);
-            username = xstrndup(p, strchr(p, '"') + 1 - p);
-
+            username = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found Username '" << username << "'");
-        } else if (!strncmp(item, "realm", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            /* quote mark */
-            p++;
+            break;
 
+        case DIGEST_REALM:
             safe_free(digest_request->realm);
-            digest_request->realm = xstrndup(p, strchr(p, '"') + 1 - p);
-
+            digest_request->realm = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found realm '" << digest_request->realm << "'");
-        } else if (!strncmp(item, "qop", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            if (*p == '\"')
-                /* quote mark */
-                p++;
+            break;
 
+        case DIGEST_QOP:
             safe_free(digest_request->qop);
-            digest_request->qop = xstrndup(p, strcspn(p, "\" \t\r\n()<>@,;:\\/[]?={}") + 1);
-
+            digest_request->qop = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found qop '" << digest_request->qop << "'");
-        } else if (!strncmp(item, "algorithm", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            if (*p == '\"')
-                /* quote mark */
-                p++;
+            break;
 
+        case DIGEST_ALGORITHM:
             safe_free(digest_request->algorithm);
-            digest_request->algorithm = xstrndup(p, strcspn(p, "\" \t\r\n()<>@,;:\\/[]?={}") + 1);
-
+            digest_request->algorithm = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found algorithm '" << digest_request->algorithm << "'");
-        } else if (!strncmp(item, "uri", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            /* quote mark */
-            p++;
+            break;
 
+        case DIGEST_URI:
             safe_free(digest_request->uri);
-            digest_request->uri = xstrndup(p, strchr(p, '"') + 1 - p);
-
+            digest_request->uri = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found uri '" << digest_request->uri << "'");
-        } else if (!strncmp(item, "nonce", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            /* quote mark */
-            p++;
+            break;
 
+        case DIGEST_NONCE:
             safe_free(digest_request->nonceb64);
-            digest_request->nonceb64 = xstrndup(p, strchr(p, '"') + 1 - p);
-
+            digest_request->nonceb64 = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found nonce '" << digest_request->nonceb64 << "'");
-        } else if (!strncmp(item, "nc", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            xstrncpy(digest_request->nc, p, 9);
+            break;
 
+        case DIGEST_NC:
+            if (value.size() != 8) {
+                debugs(29, 9, "authDigestDecodeAuth: Invalid nc '" << value << "' in '" << temp << "'");
+            }
+            xstrncpy(digest_request->nc, value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found noncecount '" << digest_request->nc << "'");
-        } else if (!strncmp(item, "cnonce", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            /* quote mark */
-            p++;
+            break;
 
+        case DIGEST_CNONCE:
             safe_free(digest_request->cnonce);
-            digest_request->cnonce = xstrndup(p, strchr(p, '"') + 1 - p);
-
+            digest_request->cnonce = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found cnonce '" << digest_request->cnonce << "'");
-        } else if (!strncmp(item, "response", ilen)) {
-            /* white space */
-
-            while (xisspace(*p))
-                p++;
-
-            /* quote mark */
-            p++;
+            break;
 
+        case DIGEST_RESPONSE:
             safe_free(digest_request->response);
-            digest_request->response = xstrndup(p, strchr(p, '"') + 1 - p);
-
+            digest_request->response = xstrndup(value.rawBuf(), value.size() + 1);
             debugs(29, 9, "authDigestDecodeAuth: Found response '" << digest_request->response << "'");
+            break;
+
+        default:
+            debugs(29, 3, "authDigestDecodeAuth: Unknown attribute '" << item << "' in '" << temp << "'");
+            break;
         }
     }
 
@@ -1229,69 +1235,103 @@
      * correct values - 400/401/407
      */
 
-    /* first the NONCE count */
+    /* 2069 requirements */
 
-    if (digest_request->cnonce && strlen(digest_request->nc) != 8) {
-        debugs(29, 4, "authenticateDigestDecode: nonce count length invalid");
+    /* do we have a username ? */
+    if (!username || username[0] == '\0') {
+        debugs(29, 2, "authenticateDigestDecode: Empty or not present username");
         return authDigestLogUsername(username, digest_request);
     }
 
-    /* now the nonce */
-    nonce = authenticateDigestNonceFindNonce(digest_request->nonceb64);
-
-    if (!nonce) {
-        /* we couldn't find a matching nonce! */
-        debugs(29, 4, "authenticateDigestDecode: Unexpected or invalid nonce received");
+    /* Sanity check of the username.
+     * " can not be allowed in usernames until * the digest helper protocol
+     * have been redone
+     */
+    if (strchr(username, '"')) {
+        debugs(29, 2, "authenticateDigestDecode: Unacceptable username '" << username << "'");
         return authDigestLogUsername(username, digest_request);
     }
 
-    digest_request->nonce = nonce;
-    authDigestNonceLink(nonce);
-
-    /* check the qop is what we expected. Note that for compatability with
-     * RFC 2069 we should support a missing qop. Tough. */
+    /* do we have a realm ? */
+    if (!digest_request->realm || digest_request->realm[0] == '\0') {
+        debugs(29, 2, "authenticateDigestDecode: Empty or not present realm");
+        return authDigestLogUsername(username, digest_request);
+    }
 
-    if (digest_request->qop && strcmp(digest_request->qop, QOP_AUTH) != 0) {
-        /* we received a qop option we didn't send */
-        debugs(29, 4, "authenticateDigestDecode: Invalid qop option received");
+    /* and a nonce? */
+    if (!digest_request->nonceb64 || digest_request->nonceb64[0] == '\0') {
+        debugs(29, 2, "authenticateDigestDecode: Empty or not present nonce");
         return authDigestLogUsername(username, digest_request);
     }
 
     /* we can't check the URI just yet. We'll check it in the
-     * authenticate phase */
+     * authenticate phase, but needs to be given */
+    if (!digest_request->uri || digest_request->uri[0] == '\0') {
+        debugs(29, 2, "authenticateDigestDecode: Missing URI field");
+        return authDigestLogUsername(username, digest_request);
+    }
 
     /* is the response the correct length? */
-
     if (!digest_request->response || strlen(digest_request->response) != 32) {
-        debugs(29, 4, "authenticateDigestDecode: Response length invalid");
+        debugs(29, 2, "authenticateDigestDecode: Response length invalid");
         return authDigestLogUsername(username, digest_request);
     }
 
-    /* do we have a username ? */
-    if (!username || username[0] == '\0') {
-        debugs(29, 4, "authenticateDigestDecode: Empty or not present username");
+    /* check the algorithm is present and supported */
+    if (!digest_request->algorithm)
+        digest_request->algorithm = xstrndup("MD5", 4);
+    else if (strcmp(digest_request->algorithm, "MD5")
+             && strcmp(digest_request->algorithm, "MD5-sess")) {
+        debugs(29, 2, "authenticateDigestDecode: invalid algorithm specified!");
         return authDigestLogUsername(username, digest_request);
     }
 
-    /* check that we're not being hacked / the username hasn't changed */
-    if (nonce->user && strcmp(username, nonce->user->username())) {
-        debugs(29, 4, "authenticateDigestDecode: Username for the nonce does not equal the username for the request");
-        return authDigestLogUsername(username, digest_request);
+    /* 2617 requirements, indicated by qop */
+    if (digest_request->qop) {
+
+        /* check the qop is what we expected. */
+        if (strcmp(digest_request->qop, QOP_AUTH) != 0) {
+            /* we received a qop option we didn't send */
+            debugs(29, 2, "authenticateDigestDecode: Invalid qop option received");
+            return authDigestLogUsername(username, digest_request);
+        }
+
+        /* check cnonce */
+        if (!digest_request->cnonce || digest_request->cnonce[0] == '\0') {
+            debugs(29, 2, "authenticateDigestDecode: Missing cnonce field");
+            return authDigestLogUsername(username, digest_request);
+        }
+
+        /* check nc */
+        if (strlen(digest_request->nc) != 8 || strspn(digest_request->nc, "0123456789abcdefABCDEF") != 8) {
+            debugs(29, 2, "authenticateDigestDecode: invalid nonce count");
+            return authDigestLogUsername(username, digest_request);
+        }
+    } else {
+        /* cnonce and nc both require qop */
+        if (digest_request->cnonce || digest_request->nc) {
+            debugs(29, 2, "authenticateDigestDecode: missing qop!");
+            return authDigestLogUsername(username, digest_request);
+        }
     }
 
-    /* if we got a qop, did we get a cnonce or did we get a cnonce wihtout a qop? */
-    if ((digest_request->qop && !digest_request->cnonce)
-            || (!digest_request->qop && digest_request->cnonce)) {
-        debugs(29, 4, "authenticateDigestDecode: qop without cnonce, or vice versa!");
+    /** below nonce state dependent **/
+
+    /* now the nonce */
+    nonce = authenticateDigestNonceFindNonce(digest_request->nonceb64);
+    if (!nonce) {
+        /* we couldn't find a matching nonce! */
+        debugs(29, 2, "authenticateDigestDecode: Unexpected or invalid nonce received");
+        digest_request->credentials(AuthDigestUserRequest::Failed);
         return authDigestLogUsername(username, digest_request);
     }
 
-    /* check the algorithm is present and supported */
-    if (!digest_request->algorithm)
-        digest_request->algorithm = xstrndup("MD5", 4);
-    else if (strcmp(digest_request->algorithm, "MD5")
-             && strcmp(digest_request->algorithm, "MD5-sess")) {
-        debugs(29, 4, "authenticateDigestDecode: invalid algorithm specified!");
+    digest_request->nonce = nonce;
+    authDigestNonceLink(nonce);
+
+    /* check that we're not being hacked / the username hasn't changed */
+    if (nonce->user && strcmp(username, nonce->user->username())) {
+        debugs(29, 2, "authenticateDigestDecode: Username for the nonce does not equal the username for the request");
         return authDigestLogUsername(username, digest_request);
     }
 
diff -u -r -N squid-3.1.0.17/src/cache_manager.cc squid-3.1.0.18/src/cache_manager.cc
--- squid-3.1.0.17/src/cache_manager.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/cache_manager.cc	2010-03-14 20:06:09.000000000 +1300
@@ -326,7 +326,7 @@
         return;
     }
 
-    debugs(16, DBG_IMPORTANT, "CacheManager: " <<
+    debugs(16, 2, "CacheManager: " <<
            (mgr->user_name ? mgr->user_name : "<unknown>") << "@" <<
            fd_table[fd].ipaddr << " requesting '" <<
            mgr->action << "'" );
diff -u -r -N squid-3.1.0.17/src/cf.data.pre squid-3.1.0.18/src/cf.data.pre
--- squid-3.1.0.17/src/cf.data.pre	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/cf.data.pre	2010-03-14 20:06:08.000000000 +1300
@@ -3855,6 +3855,21 @@
 	or response to be rejected.
 DOC_END
 
+NAME: ignore_expect_100
+COMMENT: on|off
+IFDEF: HTTP_VIOLATIONS
+TYPE: onoff
+LOC: Config.onoff.ignore_expect_100
+DEFAULT: off
+DOC_START
+	This option makes Squid ignore any Expect: 100-continue header present
+	in the request. RFC 2616 requires that Squid being unable to satisfy
+	the response expectation MUST return a 417 error.
+
+	Note: Enabling this is a HTTP protocol violation, but some clients may
+	not handle it well..
+DOC_END
+
 COMMENT_START
  TIMEOUTS
  -----------------------------------------------------------------------------
diff -u -r -N squid-3.1.0.17/src/client_side.cc squid-3.1.0.18/src/client_side.cc
--- squid-3.1.0.17/src/client_side.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/client_side.cc	2010-03-14 20:06:08.000000000 +1300
@@ -706,8 +706,8 @@
     debugs(33, 3, "clientSetKeepaliveFlag: method = " <<
            RequestMethodStr(request->method));
 
+    /* We are HTTP/1.0 facing clients still */
     HttpVersion http_ver(1,0);
-    /* we are HTTP/1.0, no matter what the client requests... */
 
     if (httpMsgIsPersistent(http_ver, req_hdr))
         request->flags.proxy_keepalive = 1;
@@ -2457,6 +2457,27 @@
         goto finish;
     }
 
+    if (request->header.has(HDR_EXPECT)) {
+        int ignore = 0;
+#if HTTP_VIOLATIONS
+        if (Config.onoff.ignore_expect_100) {
+            String expect = request->header.getList(HDR_EXPECT);
+            if (expect.caseCmp("100-continue") == 0)
+                ignore = 1;
+            expect.clean();
+        }
+#endif
+        if (!ignore) {
+            clientStreamNode *node = context->getClientReplyContext();
+            clientReplyContext *repContext = dynamic_cast<clientReplyContext *>(node->data.getRaw());
+            assert (repContext);
+            repContext->setReplyToError(ERR_INVALID_REQ, HTTP_EXPECTATION_FAILED, request->method, http->uri, conn->peer, request, NULL, NULL);
+            assert(context->http->out.offset == 0);
+            context->pullData();
+            goto finish;
+        }
+    }
+
     http->request = HTTPMSGLOCK(request);
     clientSetKeepaliveFlag(http);
 
diff -u -r -N squid-3.1.0.17/src/client_side_request.cc squid-3.1.0.18/src/client_side_request.cc
--- squid-3.1.0.17/src/client_side_request.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/client_side_request.cc	2010-03-14 20:06:08.000000000 +1300
@@ -367,8 +367,8 @@
 
     request->my_addr.SetPort(0);
 
-    /* RFC 2616 says 'upgrade' to our 1.0 regardless of what the client is */
-    HttpVersion http_ver(1,0);
+    /* Our version is HTTP/1.1 */
+    HttpVersion http_ver(1,1);
     request->http_ver = http_ver;
 
     http->request = HTTPMSGLOCK(request);
diff -u -r -N squid-3.1.0.17/src/errorpage.cc squid-3.1.0.18/src/errorpage.cc
--- squid-3.1.0.17/src/errorpage.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/errorpage.cc	2010-03-14 20:06:09.000000000 +1300
@@ -718,8 +718,9 @@
         break;
 
     case 'o':
-        p = external_acl_message ? external_acl_message : "[not available]";
-
+        p = request ? request->extacl_message.termedBuf() : external_acl_message;
+        if (!p)
+            p = "[not available]";
         break;
 
     case 'p':
diff -u -r -N squid-3.1.0.17/src/external_acl.cc squid-3.1.0.18/src/external_acl.cc
--- squid-3.1.0.17/src/external_acl.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/external_acl.cc	2010-03-14 20:06:08.000000000 +1300
@@ -770,6 +770,9 @@
 
         if (entry->log.size())
             ch->request->extacl_log = entry->log;
+
+        if (entry->message.size())
+            ch->request->extacl_message = entry->message;
     }
 
     return result;
diff -u -r -N squid-3.1.0.17/src/http.cc squid-3.1.0.18/src/http.cc
--- squid-3.1.0.17/src/http.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/http.cc	2010-03-14 20:06:08.000000000 +1300
@@ -539,8 +539,9 @@
 
         return 0;
 
-    default:			/* Unknown status code */
-        debugs (11, DBG_IMPORTANT, "WARNING: Unexpected http status code " << rep->sline.status);
+    default:
+        /* RFC 2616 section 6.1.1: an unrecognized response MUST NOT be cached. */
+        debugs (11, 3, HERE << "Unknown HTTP status code " << rep->sline.status << ". Not cacheable.");
 
         return 0;
 
@@ -713,6 +714,26 @@
         readBuf->consume(header_bytes_read);
     }
 
+    /* Skip 1xx messages for now. Advertised in Via as an internal 1.0 hop */
+    if (newrep->sline.protocol == PROTO_HTTP && newrep->sline.status >= 100 && newrep->sline.status < 200) {
+
+#if WHEN_HTTP11
+        /* When HTTP/1.1 check if the client is expecting a 1xx reply and maybe pass it on */
+        if (orig_request->header.has(HDR_EXPECT)) {
+            // TODO: pass to the client anyway?
+        }
+#endif
+        delete newrep;
+        debugs(11, 2, HERE << "1xx headers consume " << header_bytes_read << " bytes header.");
+        header_bytes_read = 0;
+        if (reply_bytes_read > 0)
+            debugs(11, 2, HERE << "1xx headers consume " << reply_bytes_read << " bytes reply.");
+        reply_bytes_read = 0;
+        ctx_exit(ctx);
+        processReplyHeader();
+        return;
+    }
+
     flags.chunked = 0;
     if (newrep->sline.protocol == PROTO_HTTP && newrep->header.hasListMember(HDR_TRANSFER_ENCODING, "chunked", ',')) {
         flags.chunked = 1;
@@ -1908,7 +1929,7 @@
                                   http_state_flags stateFlags)
 {
     const int offset = mb->size;
-    HttpVersion httpver(1,0);
+    HttpVersion httpver(1,1);
     mb->Printf("%s %s HTTP/%d.%d\r\n",
                RequestMethodStr(aRequest->method),
                aRequest->urlpath.size() ? aRequest->urlpath.termedBuf() : "/",
@@ -2130,15 +2151,6 @@
     deleteThis("HttpStateData::abortTransaction");
 }
 
-#if DEAD_CODE
-void
-httpBuildVersion(HttpVersion * version, unsigned int major, unsigned int minor)
-{
-    version->major = major;
-    version->minor = minor;
-}
-#endif
-
 HttpRequest *
 HttpStateData::originalRequest()
 {
diff -u -r -N squid-3.1.0.17/src/HttpHeader.cc squid-3.1.0.18/src/HttpHeader.cc
--- squid-3.1.0.17/src/HttpHeader.cc	2010-02-25 01:01:03.000000000 +1300
+++ squid-3.1.0.18/src/HttpHeader.cc	2010-03-14 20:06:09.000000000 +1300
@@ -95,6 +95,7 @@
     {"Date", HDR_DATE, ftDate_1123},
     {"ETag", HDR_ETAG, ftETag},
     {"Expires", HDR_EXPIRES, ftDate_1123},
+    {"Expect", HDR_EXPECT, ftStr},
     {"From", HDR_FROM, ftStr},
     {"Host", HDR_HOST, ftStr},
     {"If-Match", HDR_IF_MATCH, ftStr},	/* for now */
@@ -174,6 +175,7 @@
     HDR_CONTENT_ENCODING,
     HDR_CONTENT_LANGUAGE,
     HDR_CONNECTION,
+    HDR_EXPECT,
     HDR_IF_MATCH, HDR_IF_NONE_MATCH,
     HDR_LINK, HDR_PRAGMA,
     HDR_PROXY_CONNECTION,
@@ -186,7 +188,7 @@
     HDR_WWW_AUTHENTICATE,
     HDR_AUTHENTICATION_INFO,
     HDR_PROXY_AUTHENTICATION_INFO,
-    /* HDR_EXPECT, HDR_TE, HDR_TRAILER */
+    /* HDR_TE, HDR_TRAILER */
 #if X_ACCELERATOR_VARY
     HDR_X_ACCELERATOR_VARY,
 #endif
diff -u -r -N squid-3.1.0.17/src/HttpHeader.h squid-3.1.0.18/src/HttpHeader.h
--- squid-3.1.0.17/src/HttpHeader.h	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/HttpHeader.h	2010-03-14 20:06:08.000000000 +1300
@@ -76,6 +76,7 @@
     HDR_DATE,
     HDR_ETAG,
     HDR_EXPIRES,
+    HDR_EXPECT,
     HDR_FROM,
     HDR_HOST,
     HDR_IF_MATCH,
diff -u -r -N squid-3.1.0.17/src/HttpHeaderTools.cc squid-3.1.0.18/src/HttpHeaderTools.cc
--- squid-3.1.0.17/src/HttpHeaderTools.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/HttpHeaderTools.cc	2010-03-14 20:06:09.000000000 +1300
@@ -335,25 +335,29 @@
 {
     const char *end, *pos;
     val->clean();
-    assert (*start == '"');
+    if (*start != '"') {
+        debugs(66, 2, "failed to parse a quoted-string header field near '" << start << "'");
+        return 0;
+    }
     pos = start + 1;
 
-    while (1) {
-        if (!(end = index (pos,'"'))) {
+    while (*pos != '"') {
+        bool quoted = (*pos == '\\');
+        if (quoted)
+            pos++;
+        if (!*pos) {
             debugs(66, 2, "failed to parse a quoted-string header field near '" << start << "'");
+            val->clean();
             return 0;
         }
-
-        /* check for quoted-chars */
-        if (*(end - 1) != '\\') {
-            /* done */
-            val->append(start + 1, end-start-1);
-            return 1;
-        }
-
-        /* try for the end again */
-        pos = end + 1;
+        end = pos + strcspn(pos + quoted, "\"\\") + quoted;
+        val->append(pos, end-pos);
+        pos = end;
     }
+    /* Make sure it's defined even if empty "" */
+    if (!val->defined())
+        val->limitInit("", 0);
+    return 1;
 }
 
 /**
diff -u -r -N squid-3.1.0.17/src/HttpMsg.cc squid-3.1.0.18/src/HttpMsg.cc
--- squid-3.1.0.17/src/HttpMsg.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/HttpMsg.cc	2010-03-14 20:06:09.000000000 +1300
@@ -321,18 +321,13 @@
 int
 httpMsgIsPersistent(HttpVersion const &http_ver, const HttpHeader * hdr)
 {
-#if WHEN_SQUID_IS_HTTP1_1
-
     if ((http_ver.major >= 1) && (http_ver.minor >= 1)) {
         /*
          * for modern versions of HTTP: persistent unless there is
          * a "Connection: close" header.
          */
         return !httpHeaderHasConnDir(hdr, "close");
-    } else
-#else
-    {
-#endif
+    } else {
         /*
          * Persistent connections in Netscape 3.x are allegedly broken,
          * return false if it is a browser connection.  If there is a
@@ -340,17 +335,17 @@
          */
         const char *agent = hdr->getStr(HDR_USER_AGENT);
 
-    if (agent && !hdr->has(HDR_VIA)) {
-        if (!strncasecmp(agent, "Mozilla/3.", 10))
-            return 0;
+        if (agent && !hdr->has(HDR_VIA)) {
+            if (!strncasecmp(agent, "Mozilla/3.", 10))
+                return 0;
 
-        if (!strncasecmp(agent, "Netscape/3.", 11))
-            return 0;
-    }
+            if (!strncasecmp(agent, "Netscape/3.", 11))
+                return 0;
+        }
 
-    /* for old versions of HTTP: persistent if has "keep-alive" */
-    return httpHeaderHasConnDir(hdr, "keep-alive");
-}
+        /* for old versions of HTTP: persistent if has "keep-alive" */
+        return httpHeaderHasConnDir(hdr, "keep-alive");
+    }
 }
 
 void HttpMsg::packInto(Packer *p, bool full_uri) const
diff -u -r -N squid-3.1.0.17/src/HttpRequest.cc squid-3.1.0.18/src/HttpRequest.cc
--- squid-3.1.0.17/src/HttpRequest.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/HttpRequest.cc	2010-03-14 20:06:08.000000000 +1300
@@ -100,6 +100,7 @@
     extacl_user = null_string;
     extacl_passwd = null_string;
     extacl_log = null_string;
+    extacl_message = null_string;
     pstate = psReadyToParseStartLine;
 #if FOLLOW_X_FORWARDED_FOR
     indirect_client_addr.SetEmpty();
@@ -150,6 +151,8 @@
 
     extacl_log.clean();
 
+    extacl_message.clean();
+
 #if USE_ADAPTATION
     adaptHistory_ = NULL;
 #endif
@@ -203,6 +206,7 @@
     copy->extacl_user = extacl_user;
     copy->extacl_passwd = extacl_passwd;
     copy->extacl_log = extacl_log;
+    copy->extacl_message = extacl_message;
 
     assert(copy->inheritProperties(this));
 
@@ -319,8 +323,9 @@
 {
     assert(p);
     /* pack request-line */
-    packerPrintf(p, "%s " SQUIDSTRINGPH " HTTP/1.0\r\n",
-                 RequestMethodStr(method), SQUIDSTRINGPRINT(urlpath));
+    packerPrintf(p, "%s " SQUIDSTRINGPH " HTTP/%d.%d\r\n",
+                 RequestMethodStr(method), SQUIDSTRINGPRINT(urlpath),
+                 http_ver.major, http_ver.minor);
     /* headers */
     header.packInto(p);
     /* trailer */
diff -u -r -N squid-3.1.0.17/src/HttpRequest.h squid-3.1.0.18/src/HttpRequest.h
--- squid-3.1.0.17/src/HttpRequest.h	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/HttpRequest.h	2010-03-14 20:06:08.000000000 +1300
@@ -193,6 +193,8 @@
 
     String extacl_log;		/* String to be used for access.log purposes */
 
+    String extacl_message;	/* String to be used for error page purposes */
+
 #if FOLLOW_X_FORWARDED_FOR
     String x_forwarded_for_iterator; /* XXX a list of IP addresses */
 #endif /* FOLLOW_X_FORWARDED_FOR */
diff -u -r -N squid-3.1.0.17/src/icmp/net_db.cc squid-3.1.0.18/src/icmp/net_db.cc
--- squid-3.1.0.17/src/icmp/net_db.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/icmp/net_db.cc	2010-03-14 20:06:08.000000000 +1300
@@ -1320,7 +1320,7 @@
 
     HTTPMSGLOCK(ex->r);
     assert(NULL != ex->r);
-    ex->r->http_ver = HttpVersion(1,0);
+    ex->r->http_ver = HttpVersion(1,1);
     ex->connstate = STATE_HEADER;
     ex->e = storeCreateEntry(uri, uri, request_flags(), METHOD_GET);
     ex->buf_sz = NETDB_REQBUF_SZ;
diff -u -r -N squid-3.1.0.17/src/ip/IpAddress.cc squid-3.1.0.18/src/ip/IpAddress.cc
--- squid-3.1.0.17/src/ip/IpAddress.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/ip/IpAddress.cc	2010-03-14 20:06:09.000000000 +1300
@@ -75,16 +75,6 @@
 #  define s6_addr	s_addr
 #endif
 
-static const unsigned int STRLEN_IP4A = 16;              // aaa.bbb.ccc.ddd\0
-static const unsigned int STRLEN_IP4R = 28;              // ddd.ccc.bbb.aaa.in-addr.arpa.\0
-static const unsigned int STRLEN_IP4S = 21;              // ddd.ccc.bbb.aaa:ppppp\0
-static const unsigned int MAX_IP4_STRLEN = STRLEN_IP4R;
-static const unsigned int STRLEN_IP6A = 42;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]/0
-static const unsigned int STRLEN_IP6R = 75;           // f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f ipv6.arpa./0
-static const unsigned int STRLEN_IP6S = 48;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]:00000/0
-static const unsigned int MAX_IP6_STRLEN = STRLEN_IP6R;
-
-
 /* Debugging only. Dump the address content when a fatal assert is encountered. */
 #if USE_IPV6
 #define IASSERT(a,b)  \
@@ -291,23 +281,29 @@
     memset(&m_SocketAddr, 0, sizeof(m_SocketAddr) );
 }
 
+#if USE_IPV6
+const struct in6_addr IpAddress::v4_localhost = {{{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+            0x00, 0x00, 0xff, 0xff, 0x7f, 0x00, 0x00, 0x01 }}
+};
+const struct in6_addr IpAddress::v4_anyaddr = {{{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+            0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00 }}
+};
+const struct in6_addr IpAddress::v6_noaddr = {{{ 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
+            0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff }}
+};
+#endif
+
+
 bool IpAddress::SetIPv4()
 {
 #if USE_IPV6
-    static const struct in6_addr v4_localhost = {{{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
-                0xff, 0xff, 0xff, 0xff, 0x7f, 0x00, 0x00, 0x01 }}
-    };
-    static const struct in6_addr v4_any = {{{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
-                0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00 }}
-    };
-
     if ( IsLocalhost() ) {
         m_SocketAddr.sin6_addr = v4_localhost;
         return true;
     }
 
     if ( IsAnyAddr() ) {
-        m_SocketAddr.sin6_addr = v4_any;
+        m_SocketAddr.sin6_addr = v4_anyaddr;
         return true;
     }
 
@@ -324,10 +320,6 @@
 bool IpAddress::IsLocalhost() const
 {
 #if USE_IPV6
-    static const struct in6_addr v4_localhost = {{{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
-                0xff, 0xff, 0xff, 0xff, 0x7f, 0x00, 0x00, 0x01 }}
-    };
-
     return IN6_IS_ADDR_LOOPBACK( &m_SocketAddr.sin6_addr ) || IN6_ARE_ADDR_EQUAL( &m_SocketAddr.sin6_addr, &v4_localhost );
 #else
     return (htonl(0x7F000001) == m_SocketAddr.sin_addr.s_addr);
@@ -337,10 +329,8 @@
 void IpAddress::SetLocalhost()
 {
 #if USE_IPV6
-    SetAnyAddr();
-    m_SocketAddr.sin6_addr.s6_addr[15] = 0x1;
+    m_SocketAddr.sin6_addr = in6addr_loopback;
     m_SocketAddr.sin6_family = AF_INET6;
-
 #else
     m_SocketAddr.sin_addr.s_addr = htonl(0x7F000001);
     m_SocketAddr.sin_family = AF_INET;
@@ -351,10 +341,6 @@
 {
     // IFF the address == 0xff..ff (all ones)
 #if USE_IPV6
-    static const struct in6_addr v6_noaddr = {{{ 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
-                0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff }}
-    };
-
     return IN6_ARE_ADDR_EQUAL( &m_SocketAddr.sin6_addr, &v6_noaddr );
 #else
     return 0xFFFFFFFF == m_SocketAddr.sin_addr.s_addr;
@@ -364,10 +350,10 @@
 void IpAddress::SetNoAddr()
 {
 #if USE_IPV6
-    memset(&m_SocketAddr.sin6_addr, 0xFFFFFFFF, sizeof(struct in6_addr) );
+    memset(&m_SocketAddr.sin6_addr, 0xFF, sizeof(struct in6_addr) );
     m_SocketAddr.sin6_family = AF_INET6;
 #else
-    memset(&m_SocketAddr.sin_addr, 0xFFFFFFFF, sizeof(struct in_addr) );
+    memset(&m_SocketAddr.sin_addr, 0xFF, sizeof(struct in_addr) );
     m_SocketAddr.sin_family = AF_INET;
 #endif
 }
diff -u -r -N squid-3.1.0.17/src/ip/IpAddress.h squid-3.1.0.18/src/ip/IpAddress.h
--- squid-3.1.0.17/src/ip/IpAddress.h	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/ip/IpAddress.h	2010-03-14 20:06:08.000000000 +1300
@@ -412,6 +412,22 @@
 
     struct sockaddr_in m_SocketAddr;
 #endif
+
+private:
+    /* Internally used constants */
+    static const unsigned int STRLEN_IP4A = 16;              // aaa.bbb.ccc.ddd\0
+    static const unsigned int STRLEN_IP4R = 28;              // ddd.ccc.bbb.aaa.in-addr.arpa.\0
+    static const unsigned int STRLEN_IP4S = 21;              // ddd.ccc.bbb.aaa:ppppp\0
+    static const unsigned int MAX_IP4_STRLEN = STRLEN_IP4R;
+#if USE_IPV6
+    static const unsigned int STRLEN_IP6A = 42;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]/0
+    static const unsigned int STRLEN_IP6R = 75;           // f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f ipv6.arpa./0
+    static const unsigned int STRLEN_IP6S = 48;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]:00000/0
+    static const unsigned int MAX_IP6_STRLEN = STRLEN_IP6R;
+    static const struct in6_addr v4_localhost;
+    static const struct in6_addr v4_anyaddr;
+    static const struct in6_addr v6_noaddr;
+#endif
 };
 
 
diff -u -r -N squid-3.1.0.17/src/ssl_support.cc squid-3.1.0.18/src/ssl_support.cc
--- squid-3.1.0.17/src/ssl_support.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/ssl_support.cc	2010-03-14 20:06:08.000000000 +1300
@@ -159,7 +159,7 @@
             char cn[1024];
 
             STACK_OF(GENERAL_NAME) * altnames;
-            altnames = (STACK*)X509_get_ext_d2i(peer_cert, NID_subject_alt_name, NULL, NULL);
+            altnames = (STACK_OF(GENERAL_NAME)*)X509_get_ext_d2i(peer_cert, NID_subject_alt_name, NULL, NULL);
             if (altnames) {
                 int numalts = sk_GENERAL_NAME_num(altnames);
                 debugs(83, 3, "Verifying server domain " << server << " to certificate subjectAltName");
diff -u -r -N squid-3.1.0.17/src/structs.h squid-3.1.0.18/src/structs.h
--- squid-3.1.0.17/src/structs.h	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/structs.h	2010-03-14 20:06:09.000000000 +1300
@@ -401,6 +401,7 @@
 #if HTTP_VIOLATIONS
 
         int reload_into_ims;
+        int ignore_expect_100;
 #endif
 
         int offline;
diff -u -r -N squid-3.1.0.17/src/tunnel.cc squid-3.1.0.18/src/tunnel.cc
--- squid-3.1.0.17/src/tunnel.cc	2010-02-25 01:01:04.000000000 +1300
+++ squid-3.1.0.18/src/tunnel.cc	2010-03-14 20:06:08.000000000 +1300
@@ -710,7 +710,7 @@
     flags.proxying = tunnelState->request->flags.proxying;
     MemBuf mb;
     mb.init();
-    mb.Printf("CONNECT %s HTTP/1.0\r\n", tunnelState->url);
+    mb.Printf("CONNECT %s HTTP/1.1\r\n", tunnelState->url);
     HttpStateData::httpBuildRequestHeader(tunnelState->request,
                                           tunnelState->request,
                                           NULL,			/* StoreEntry */
